import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
system.runInterval(() => {
    let players = world.getAllPlayers();
    players.forEach((player) => {
    if (player.hasTag("anti_ock_suit")){ anti_ock_suit(player); }
	if (player.hasTag("anti_ock_suit_1")){ anti_ock_suit_1(player); }
	if (player.hasTag("anti_ock_suit_2")){ anti_ock_suit_2(player); }
	if (player.hasTag("anti_ock_suit_3")){ anti_ock_suit_3(player); }
});
});
function anti_ock_suit(player) {
	player.runCommand('tag @s remove anti_ock_suit');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/anti_ock_suit')
	gui.button('16', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/iron_ingot')
	gui.button('8', 'textures/items/glowstone_dust')
	gui.button('12', 'textures/items/component')
	gui.button('1', 'textures/items/dye_powder_yellow')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            anti_ock_suit_on(player)
        }
    })
}
function anti_ock_suit_1(player) {
	player.runCommand('tag @s remove anti_ock_suit_1');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/anti_ock_suit_1')
	gui.button('16', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/iron_ingot')
	gui.button('8', 'textures/items/glowstone_dust')
	gui.button('12', 'textures/items/component')
	gui.button('1', 'textures/items/dye_powder_light_blue')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            anti_ock_suit_1_on(player)
        }
    })
}
function anti_ock_suit_2(player) {
	player.runCommand('tag @s remove anti_ock_suit_2');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/anti_ock_suit_2')
	gui.button('16', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/iron_ingot')
	gui.button('8', 'textures/items/glowstone_dust')
	gui.button('12', 'textures/items/component')
	gui.button('1', 'textures/items/dye_powder_red')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            anti_ock_suit_2_on(player)
        }
    })
}
function anti_ock_suit_3(player) {
	player.runCommand('tag @s remove anti_ock_suit_3');
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/anti_ock_suit_3')
	gui.button('16', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/iron_ingot')
	gui.button('8', 'textures/items/glowstone_dust')
	gui.button('12', 'textures/items/component')
	gui.button('1', 'textures/items/dye_powder_lime')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            anti_ock_suit_3_on(player)
        }
    })
}
function anti_ock_suit_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:anti_ock_suit');
   player.runCommand('/execute at @s[hasitem={item=minecraft:yellow_dye,quantity=1..}] at @s[hasitem={item=minecraft:glowstone_dust,quantity=8..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:redstone,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=16..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/anti_ock_suit');
}
function anti_ock_suit_1_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:anti_ock_suit_1');
   player.runCommand('/execute at @s[hasitem={item=minecraft:light_blue_dye,quantity=1..}] at @s[hasitem={item=minecraft:glowstone_dust,quantity=8..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:redstone,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=16..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/anti_ock_suit_1');
}
function anti_ock_suit_2_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:anti_ock_suit_2');
   player.runCommand('/execute at @s[hasitem={item=minecraft:red_dye,quantity=1..}] at @s[hasitem={item=minecraft:glowstone_dust,quantity=8..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:redstone,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=16..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/anti_ock_suit_2');
}
function anti_ock_suit_3_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:anti_ock_suit_3');
   player.runCommand('/execute at @s[hasitem={item=minecraft:lime_dye,quantity=1..}] at @s[hasitem={item=minecraft:glowstone_dust,quantity=8..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:redstone,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=16..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/anti_ock_suit_3');
}