import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
function getScore(player, objective) {
    try {
        return world.scoreboard.getObjective(objective).getScore(player);
    } catch {
        return 0
    }
}
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    if (eventData.itemStack.typeId == 'spidermanaddon:iron_arms_menu' && player.isSneaking) {
        system.run(() => {
            iron_arms_menu(player);
        })
    }
});
function iron_arms_menu(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.iron_arms.title')
    gui.button('item.spidermanaddon:iron_arms_attack', 'textures/ui/iron_arms_attack')
	gui.button('item.spidermanaddon:spider_rush', 'textures/ui/spider_rush')
	gui.button('item.spidermanaddon:spider_rush', 'textures/ui/spider_shock')
    gui.show(player).then(result => {
        if (result.selection === 0) { iron_arms_attack(player) }
		if (result.selection === 1) { spider_rush(player) }
		if (result.selection === 2) { spider_shock(player) }
    })
}
function iron_arms_attack(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:iron_arms_attack');
}
function spider_rush(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:spider_rush');
}
function spider_shock(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:spider_shock');
}