import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData, MessageFormData } from "@minecraft/server-ui";

let expression = {};
system.runInterval(() => {
    let players = world.getAllPlayers();
    players.forEach((player) => {
    if (player.hasTag("laboratoryWorkbench")){
        laboratoryWorkbench(player);
    }
});
});
function getScore(player, objective) {
    try {
        return world.scoreboard.getObjective(objective).getScore(player);
    } catch {
        return 0
    }
}
function laboratoryWorkbench(player) {
	player.runCommand('tag @s remove laboratoryWorkbench');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.laboratoryWorkbench')
    gui.button('spidermanaddon.accesorios', 'textures/ui/accesorios')
	gui.button('spidermanaddon.upgrades_laboratoryWorkbench', 'textures/ui/upgrades')
	gui.button('item.spidermanaddon:spiderman_powers', 'textures/ui/spiderman_powers_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) { accesorios(player) }
		if (result.selection === 1) { skills(player) }
		if (result.selection === 2) { spiderman_powers_options(player) }
    })
}
function spiderman_powers_options(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.laboratoryWorkbench')
    gui.button('item.spidermanaddon:spiderman_powers', 'textures/items/spiderman_powers')
	gui.button('item.spidermanaddon:spiderman_symbiote_powers', 'textures/items/venom')
    gui.show(player).then(result => {
        if (result.selection === 0) { spiderman_powers_f(player) }
		if (result.selection === 1) { spiderman_symbiote_powers(player) }
    })
}
function spiderman_symbiote_powers(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/venom')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/spiderman_powers')
	gui.button('1', 'textures/items/symbiote_capsule')
	gui.button('', 'textures/entity/invisible')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_symbiote_powers_on(player)
        }
    })
}
function spiderman_symbiote_powers_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:spiderman_powers,quantity=1..}] at @s[hasitem={item=spidermanaddon:symbiote_capsule,quantity=1..}] run function laboratory_workbench/spiderman_powers/spiderman_symbiote_powers');
}
function spiderman_powers_f(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/spiderman_powers')
	gui.button('8', 'textures/items/spider_eye')
	gui.button('1', 'textures/items/spider_powers')
	gui.button('32', 'textures/items/redstone_dust')
	gui.button('4', 'textures/items/apple_golden')
	gui.button('6', 'textures/items/blaze_rod')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_powers_on(player)
        }
    })
}
function spiderman_powers_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:blaze_rod,quantity=6..}] at @s[hasitem={item=minecraft:spider_eye,quantity=8..}] at @s[hasitem={item=spidermanaddon:spider_powers,quantity=1..}] at @s[hasitem={item=minecraft:golden_apple,quantity=4..}] at @s[hasitem={item=minecraft:redstone,quantity=32..}] run function laboratory_workbench/spiderman_powers/spiderman_powers');
}
function skills(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.laboratoryWorkbench')
    gui.button('spidermanaddon.suit_skills', 'textures/ui/suit_skills')
	gui.button('spidermanaddon.web_shooter', 'textures/ui/accesorios')
	gui.button('spidermanaddon.spiderman_powers', 'textures/ui/spiderman_powers')
	gui.button('item.spidermanaddon:spiderman_symbiote_powers', 'textures/ui/symbiote_powers')
    gui.show(player).then(result => {
        if (result.selection === 0) { suit_skills(player) }
		if (result.selection === 1) { web_shooters(player) }
		if (result.selection === 2) { spiderman_powers(player) }
		if (result.selection === 3) { spiderman_symbiote_powers_tree(player) }
    })
}
function spiderman_symbiote_powers_tree(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.symbiote_powers_tree.title')
    if (!player.hasTag("rage_mode")) { gui.button('', 'textures/ui/rage_mode_lock') }
	else if (player.hasTag("rage_mode")) { gui.button('', 'textures/ui/rage_mode') }
    if (!player.hasTag("symbiont_pull")) { gui.button('', 'textures/ui/symbiont_pull_lock') }
	else if (player.hasTag("symbiont_pull")) { gui.button('', 'textures/ui/symbiont_pull') }
    if (!player.hasTag("antivenom_bomb")) { gui.button('', 'textures/ui/antivenom_bomb_lock') }
	else if (player.hasTag("antivenom_bomb")) { gui.button('', 'textures/ui/antivenom_bomb') }
    if (!player.hasTag("antivenom_tempest")) { gui.button('', 'textures/ui/antivenom_tempest_ui') }
	else if (player.hasTag("antivenom_tempest")) { gui.button('', 'textures/ui/antivenom_tempest') }
    if (!player.hasTag("symbiote_whip")) { gui.button('', 'textures/ui/symbiote_melee_lock') }
	else if (player.hasTag("symbiote_whip")) { gui.button('', 'textures/ui/symbiote_melee') }
    gui.show(player).then(result => {
        if (!player.hasTag("rage_mode") && result.selection === 0) { rage_mode_lock(player) }else
		if (player.hasTag("rage_mode") && result.selection === 0) { rage_mode(player) }
		
        if (player.hasTag("rage_mode") && !player.hasTag("symbiont_pull") && result.selection === 1) { symbiont_pull_lock(player) }else
		if (player.hasTag("rage_mode") && player.hasTag("symbiont_pull") && result.selection === 1) { symbiont_pull(player) }
		if (!player.hasTag("rage_mode") && result.selection === 1) { block_powers(player) }
		
        if (player.hasTag("rage_mode") && !player.hasTag("antivenom_bomb") && result.selection === 2) { antivenom_bomb_lock(player) }else
		if (player.hasTag("rage_mode") && player.hasTag("antivenom_bomb") && result.selection === 2) { antivenom_bomb(player) }
		if (!player.hasTag("rage_mode") && result.selection === 2) { block_powers(player) }
		
        if (player.hasTag("rage_mode") && !player.hasTag("antivenom_tempest") && result.selection === 3) { antivenom_tempest_lock(player) }else
		if (player.hasTag("rage_mode") && player.hasTag("antivenom_tempest") && result.selection === 3) { antivenom_tempest(player) }
		if (!player.hasTag("rage_mode") && result.selection === 3) { block_powers(player) }
		
        if (player.hasTag("rage_mode") && !player.hasTag("symbiote_whip") && result.selection === 4) { symbiote_whip_lock(player) }else
		if (player.hasTag("rage_mode") && player.hasTag("symbiote_whip") && result.selection === 4) { symbiote_whip(player) }
		if (!player.hasTag("rage_mode") && result.selection === 4) { block_powers(player) }
    })
}
function rage_mode(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.rage_mode_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function rage_mode_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.rage_mode_lock");
	form.button1("spidermanaddon.rage_mode_unlock.price");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=20] run function laboratory_workbench/symbiote_powers/rage_mode');
        }
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function symbiont_pull(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.symbiont_pull_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function symbiont_pull_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.symbiont_pull_lock");
	form.button1("spidermanaddon.symbiote_powers_lock.price");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/symbiote_powers/symbiont_pull');
        }
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function antivenom_bomb(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.antivenom_bomb_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function antivenom_bomb_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.antivenom_bomb_lock");
	form.button1("spidermanaddon.symbiote_powers_lock.price");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=10] run function laboratory_workbench/symbiote_powers/antivenom_bomb');
        }
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function antivenom_tempest(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.antivenom_tempest_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function antivenom_tempest_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.antivenom_tempest_lock");
	form.button1("spidermanaddon.symbiote_powers_lock.price");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=10] run function laboratory_workbench/symbiote_powers/antivenom_tempest');
        }
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function symbiote_whip(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.symbiote_whip_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function symbiote_whip_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.symbiote_whip_lock");
	form.button1("spidermanaddon.symbiote_powers_lock.price");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=10] run function laboratory_workbench/symbiote_powers/symbiote_whip');
        }
        if (result.selection === 1) {
			spiderman_symbiote_powers_tree(player)
        }
    })
}
function spiderman_powers(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.spiderman_powers.title')
    if (!player.hasTag("swing_1")) { gui.button('', 'textures/ui/spiderman_powers/swing_1_lock') }
	else if (player.hasTag("swing_1")) { gui.button('', 'textures/ui/spiderman_powers/swing_1') }
    if (!player.hasTag("combat_0")) { gui.button('', 'textures/ui/spiderman_powers/combat_0_lock') }
	else if (player.hasTag("combat_0")) { gui.button('', 'textures/ui/spiderman_powers/combat_0') }
    if (!player.hasTag("combat_1")) { gui.button('', 'textures/ui/spiderman_powers/combat_1_lock') }
	else if (player.hasTag("combat_1")) { gui.button('', 'textures/ui/spiderman_powers/combat_1') }
    if (!player.hasTag("combat_2")) { gui.button('', 'textures/ui/spiderman_powers/combat_2_lock') }
	else if (player.hasTag("combat_2")) { gui.button('', 'textures/ui/spiderman_powers/combat_2') }
    if (!player.hasTag("health_0")) { gui.button('', 'textures/ui/spiderman_powers/health_0_lock') }
	else if (player.hasTag("health_0")) { gui.button('', 'textures/ui/spiderman_powers/health_0') }
    if (!player.hasTag("health_1")) { gui.button('', 'textures/ui/spiderman_powers/health_1_lock') }
	else if (player.hasTag("health_1")) { gui.button('', 'textures/ui/spiderman_powers/health_1') }
    if (!player.hasTag("health_2")) { gui.button('', 'textures/ui/spiderman_powers/health_2_lock') }
	else if (player.hasTag("health_2")) { gui.button('', 'textures/ui/spiderman_powers/health_2') }
    gui.show(player).then(result => {
        if (!player.hasTag("swing_1") && result.selection === 0) { swing_1_lock(player) }else
		if (player.hasTag("swing_1") && result.selection === 0) { swing_1(player) }
		
        if (player.hasTag("swing_1") && !player.hasTag("combat_0") && result.selection === 1) { combat_0_lock(player) }else
		if (player.hasTag("swing_1") && player.hasTag("combat_0") && result.selection === 1) { combat_0(player) }
		if (!player.hasTag("swing_1") && result.selection === 1) { block_powers(player) }
		
        if (player.hasTag("combat_0") && !player.hasTag("combat_1") && result.selection === 2) { combat_1_lock(player) }else
		if (player.hasTag("combat_0") && player.hasTag("combat_1") && result.selection === 2) { combat_1(player) }
		if (!player.hasTag("combat_0") && result.selection === 2) { block_powers(player) }
		
        if (player.hasTag("combat_1") && !player.hasTag("combat_2") && result.selection === 3) { combat_2_lock(player) }else
		if (player.hasTag("combat_1") && player.hasTag("combat_2") && result.selection === 3) { combat_2(player) }
		if (!player.hasTag("combat_1") && result.selection === 3) { block_powers(player) }
		
        if (player.hasTag("swing_1") && !player.hasTag("health_0") && result.selection === 4) { health_0_lock(player) }else
		if (player.hasTag("swing_1") && player.hasTag("health_0") && result.selection === 4) { health_0(player) }
		if (!player.hasTag("swing_1") && result.selection === 4) { block_powers(player) }
		
        if (player.hasTag("health_0") && !player.hasTag("health_1") && result.selection === 5) { health_1_lock(player) }else
		if (player.hasTag("health_0") && player.hasTag("health_1") && result.selection === 5) { health_1(player) }
		if (!player.hasTag("health_0") && result.selection === 5) { block_powers(player) }
		
        if (player.hasTag("health_1") && !player.hasTag("health_2") && result.selection === 6) { health_2_lock(player) }else
		if (player.hasTag("health_1") && player.hasTag("health_2") && result.selection === 6) { health_2(player) }
		if (!player.hasTag("health_1") && result.selection === 6) { block_powers(player) }

    })
}
function health_2(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.health_2_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function health_2_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.health_2_lock");
	form.button1("spidermanaddon.health_2.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=20] run function laboratory_workbench/spiderman_powers/health_2');
        }
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function health_1(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.health_1_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function health_1_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.health_1_lock");
	form.button1("spidermanaddon.health_1.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/spiderman_powers/health_1');
        }
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function health_0(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.health_0_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function health_0_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.health_0_lock");
	form.button1("spidermanaddon.health_0.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=10] run function laboratory_workbench/spiderman_powers/health_0');
        }
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function swing_1(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.swing_1_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function swing_1_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.swing_1_lock");
	form.button1("spidermanaddon.swing_1.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=10] run function laboratory_workbench/spiderman_powers/swing_1');
        }
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function combat_2(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.combat_2_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function combat_2_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.combat_2_lock");
	form.button1("spidermanaddon.combat_2.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=20] run function laboratory_workbench/spiderman_powers/combat_2');
        }
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function combat_1(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.combat_1_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function combat_1_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.combat_1_lock");
	form.button1("spidermanaddon.combat_1.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/spiderman_powers/combat_1');
        }
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function combat_0(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.combat_0_lock");
	form.button1("spidermanaddon.salir");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {       
		}
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function combat_0_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.unlock_mejora");
	form.body("spidermanaddon.combat_0_lock");
	form.button1("spidermanaddon.combat_0.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) {
		player.runCommand('/execute at @s[lm=10] run function laboratory_workbench/spiderman_powers/combat_0');
        }
        if (result.selection === 1) {
			spiderman_powers(player)
        }
    })
}
function block_powers(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.block_powers");
	form.body("spidermanaddon.block_powers_text");
	form.button1("spidermanaddon.continuar");
	form.button2("spidermanaddon.salir");
    form.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_powers(player)
        }
        if (result.selection === 1) {

        }
    })
}
function web_shooters(player) {
    const gui = new ActionFormData();
	let web_shooter_shoot_lv = getScore(player, 'web_shooter_shoot_lv')
	let impact_web_lv = getScore(player, 'impact_web_lv')
	let electric_web_lv = getScore(player, 'electric_web_lv')
	let concussive_blast_lv = getScore(player, 'concussive_blast_lv')
	let web_grabber_lv = getScore(player, 'web_grabber_lv')
    gui.title('spidermanaddon.laboratoryWorkbench')
	if (web_shooter_shoot_lv === 0) {
	gui.button('spidermanaddon.web_shooter_shoot_lv1', 'textures/ui/web_shooter_icon')
	}else if (web_shooter_shoot_lv === 1) {
	gui.button('spidermanaddon.web_shooter_shoot_lv2', 'textures/ui/web_shooter_icon')
	}else if (web_shooter_shoot_lv === 2) {
	gui.button('spidermanaddon.web_shooter_shoot_lv3', 'textures/ui/web_shooter_icon')
	}else if (web_shooter_shoot_lv === 3) {
	gui.button('spidermanaddon.web_shooter_shoot_lv4', 'textures/ui/web_shooter_icon')
	}else if (web_shooter_shoot_lv === 4) {
	gui.button('spidermanaddon.web_shooter_shoot_lv5', 'textures/ui/web_shooter_icon')
	}else if (web_shooter_shoot_lv === 5) {
	gui.button('spidermanaddon.web_shooter_shoot_full', 'textures/ui/web_shooter_icon')
	}
	if (!player.hasTag("impact_web")) {
		gui.button('spidermanaddon.impact_web_lock', 'textures/ui/impact_web_lock')
	}else if (player.hasTag("impact_web")) {
		if (impact_web_lv === 0) {
		gui.button('spidermanaddon.impact_web_lv1', 'textures/ui/impact_web_icon')
		}else if (impact_web_lv === 1) {
		gui.button('spidermanaddon.impact_web_lv2', 'textures/ui/impact_web_icon')
		}else if (impact_web_lv === 2) {
		gui.button('spidermanaddon.impact_web_lv3', 'textures/ui/impact_web_icon')
		}else if (impact_web_lv === 3) {
		gui.button('spidermanaddon.impact_web_lv4', 'textures/ui/impact_web_icon')
		}else if (impact_web_lv === 4) {
		gui.button('spidermanaddon.impact_web_lv5', 'textures/ui/impact_web_icon')
		}else if (impact_web_lv === 5) {
		gui.button('spidermanaddon.impact_web_full', 'textures/ui/impact_web_icon')
		}
	}
	if (!player.hasTag("electric_web")) {
		gui.button('spidermanaddon.electric_web_lock', 'textures/ui/electric_web_lock')
	}else if (player.hasTag("electric_web")) {
		if (electric_web_lv === 0) {
		gui.button('spidermanaddon.electric_web_lv1', 'textures/ui/electric_web_icon')
		}else if (electric_web_lv === 1) {
		gui.button('spidermanaddon.electric_web_lv2', 'textures/ui/electric_web_icon')
		}else if (electric_web_lv === 2) {
		gui.button('spidermanaddon.electric_web_lv3', 'textures/ui/electric_web_icon')
		}else if (electric_web_lv === 3) {
		gui.button('spidermanaddon.electric_web_lv4', 'textures/ui/electric_web_icon')
		}else if (electric_web_lv === 4) {
		gui.button('spidermanaddon.electric_web_lv5', 'textures/ui/electric_web_icon')
		}else if (electric_web_lv === 5) {
		gui.button('spidermanaddon.electric_web_full', 'textures/ui/electric_web_icon')
		}
	}
	if (!player.hasTag("concussive_blast")) {
		gui.button('spidermanaddon.concussive_blast_lock', 'textures/ui/concussive_blast_lock')
	}else if (player.hasTag("concussive_blast")) {
		if (concussive_blast_lv === 0) {
		gui.button('spidermanaddon.concussive_blast_lv1', 'textures/ui/concussive_blast_icon')
		}else if (concussive_blast_lv === 1) {
		gui.button('spidermanaddon.concussive_blast_lv2', 'textures/ui/concussive_blast_icon')
		}else if (concussive_blast_lv === 2) {
		gui.button('spidermanaddon.concussive_blast_lv3', 'textures/ui/concussive_blast_icon')
		}else if (concussive_blast_lv === 3) {
		gui.button('spidermanaddon.concussive_blast_lv4', 'textures/ui/concussive_blast_icon')
		}else if (concussive_blast_lv === 4) {
		gui.button('spidermanaddon.concussive_blast_lv5', 'textures/ui/concussive_blast_icon')
		}else if (concussive_blast_lv === 5) {
		gui.button('spidermanaddon.concussive_blast_full', 'textures/ui/concussive_blast_icon')
		}
	}
	if (!player.hasTag("web_grabber")) {
		gui.button('spidermanaddon.web_grabber_lock', 'textures/ui/web_grabber_lock')
	}else if (player.hasTag("web_grabber")) {
		if (web_grabber_lv === 0) {
		gui.button('spidermanaddon.web_grabber_lv1', 'textures/ui/web_grabber_icon')
		}else if (web_grabber_lv === 1) {
		gui.button('spidermanaddon.web_grabber_lv2', 'textures/ui/web_grabber_icon')
		}else if (web_grabber_lv === 2) {
		gui.button('spidermanaddon.web_grabber_lv3', 'textures/ui/web_grabber_icon')
		}else if (web_grabber_lv === 3) {
		gui.button('spidermanaddon.web_grabber_lv4', 'textures/ui/web_grabber_icon')
		}else if (web_grabber_lv === 4) {
		gui.button('spidermanaddon.web_grabber_lv5', 'textures/ui/web_grabber_icon')
		}else if (web_grabber_lv === 5) {
		gui.button('spidermanaddon.web_grabber_full', 'textures/ui/web_grabber_icon')
		}
	}
    gui.show(player).then(result => {
        if (result.selection === 0) { web_shooter_shoot(player) }
		if (result.selection === 1 && !player.hasTag("impact_web")) { impact_web_lock(player) }
		if (result.selection === 1 && player.hasTag("impact_web")) { impact_web(player) }
		if (result.selection === 2 && !player.hasTag("electric_web")) { electric_web_lock(player) }
		if (result.selection === 2 && player.hasTag("electric_web")) { electric_web(player) }
		if (result.selection === 3 && !player.hasTag("concussive_blast")) { concussive_blast_lock(player) }
		if (result.selection === 3 && player.hasTag("concussive_blast")) { concussive_blast(player) }
		if (result.selection === 4 && !player.hasTag("web_grabber")) { web_grabber_lock(player) }
		if (result.selection === 4 && player.hasTag("web_grabber")) { web_grabber(player) }
    })
}
function web_grabber_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/ui/web_grabber')
	gui.button('', 'textures/entity/invisible')
	gui.button('24', 'textures/items/redstone_dust')
	gui.button('8', 'textures/items/slimeball')
	gui.button('8', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            web_grabber_unlock(player)
        }
    })
}
function web_grabber_unlock(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:slime_ball,quantity=8..}] at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:redstone,quantity=24..}] run function laboratory_workbench/web_grabber_unlock');
   web_shooters(player)
}
function web_grabber(player) {
	let web_grabber_lv = getScore(player, 'web_grabber_lv')
	let form = new MessageFormData();
	if (web_grabber_lv === 0) {
	form.title("spidermanaddon.web_grabber_lv1_title");
	form.body("spidermanaddon.web_grabber_lv1_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_grabber.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/web_grabber/level1'); web_shooters(player); }
    })
	}
	if (web_grabber_lv === 1) {
	form.title("spidermanaddon.web_grabber_lv2_title");
	form.body("spidermanaddon.web_grabber_lv2_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_grabber.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/web_grabber/level1'); web_shooters(player); }
    })
	}
	if (web_grabber_lv === 2) {
	form.title("spidermanaddon.web_grabber_lv3_title");
	form.body("spidermanaddon.web_grabber_lv3_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_grabber.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/web_grabber/level1'); web_shooters(player); }
    })
	}
	if (web_grabber_lv === 3) {
	form.title("spidermanaddon.web_grabber_lv4_title");
	form.body("spidermanaddon.web_grabber_lv4_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_grabber.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/web_grabber/level1'); web_shooters(player); }
    })
	}
	if (web_grabber_lv === 4) {
	form.title("spidermanaddon.web_grabber_lv5_title");
	form.body("spidermanaddon.web_grabber_lv5_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_grabber.price5");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=25] run function laboratory_workbench/web_shooter/web_grabber/level5'); web_shooters(player); }
    })
	}
	if (web_grabber_lv === 5) {
	form.title("spidermanaddon.web_grabber_full");
	form.body("spidermanaddon.web_shooter_full_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.salir");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
    })
	}
}

function concussive_blast_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/ui/concussive_blast')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/redstone_dust')
	gui.button('4', 'textures/items/wind_charge')
	gui.button('6', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            concussive_blast_unlock(player)
        }
    })
}
function concussive_blast_unlock(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:wind_charge,quantity=4..}] at @s[hasitem={item=spidermanaddon:component,quantity=6..}] at @s[hasitem={item=minecraft:redstone,quantity=32..}] run function laboratory_workbench/concussive_blast_unlock');
   web_shooters(player)
}
function concussive_blast(player) {
	let concussive_blast_lv = getScore(player, 'concussive_blast_lv')
	let form = new MessageFormData();
	if (concussive_blast_lv === 0) {
	form.title("spidermanaddon.concussive_blast_lv1_title");
	form.body("spidermanaddon.concussive_blast_lv1_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.concussive_blast.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/concussive_blast/level1'); web_shooters(player); }
    })
	}
	if (concussive_blast_lv === 1) {
	form.title("spidermanaddon.concussive_blast_lv2_title");
	form.body("spidermanaddon.concussive_blast_lv2_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.concussive_blast.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/concussive_blast/level1'); web_shooters(player); }
    })
	}
	if (concussive_blast_lv === 2) {
	form.title("spidermanaddon.concussive_blast_lv3_title");
	form.body("spidermanaddon.concussive_blast_lv3_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.concussive_blast.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/concussive_blast/level1'); web_shooters(player); }
    })
	}
	if (concussive_blast_lv === 3) {
	form.title("spidermanaddon.concussive_blast_lv4_title");
	form.body("spidermanaddon.concussive_blast_lv4_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.concussive_blast.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/concussive_blast/level1'); web_shooters(player); }
    })
	}
	if (concussive_blast_lv === 4) {
	form.title("spidermanaddon.concussive_blast_lv5_title");
	form.body("spidermanaddon.concussive_blast_lv5_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.concussive_blast.price5");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=25] run function laboratory_workbench/web_shooter/concussive_blast/level5'); web_shooters(player); }
    })
	}
	if (concussive_blast_lv === 5) {
	form.title("spidermanaddon.concussive_blast_full");
	form.body("spidermanaddon.web_shooter_full_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.salir");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
    })
	}
}
function electric_web_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/ui/electric_web')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/redstone_dust')
	gui.button('4', 'textures/items/slimeball')
	gui.button('6', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            electric_web_unlock(player)
        }
    })
}
function electric_web_unlock(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:slime_ball,quantity=4..}] at @s[hasitem={item=spidermanaddon:component,quantity=6..}] at @s[hasitem={item=minecraft:redstone,quantity=32..}] run function laboratory_workbench/electric_web_unlock');
   web_shooters(player)
}
function electric_web(player) {
	let electric_web_lv = getScore(player, 'electric_web_lv')
	let form = new MessageFormData();
	if (electric_web_lv === 0) {
	form.title("spidermanaddon.electric_web_lv1_title");
	form.body("spidermanaddon.electric_web_lv1_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.electric_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/electric_web/level1'); web_shooters(player); }
    })
	}
	if (electric_web_lv === 1) {
	form.title("spidermanaddon.electric_web_lv2_title");
	form.body("spidermanaddon.electric_web_lv2_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.electric_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/electric_web/level1'); web_shooters(player); }
    })
	}
	if (electric_web_lv === 2) {
	form.title("spidermanaddon.electric_web_lv3_title");
	form.body("spidermanaddon.electric_web_lv3_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.electric_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/electric_web/level1'); web_shooters(player); }
    })
	}
	if (electric_web_lv === 3) {
	form.title("spidermanaddon.electric_web_lv4_title");
	form.body("spidermanaddon.electric_web_lv4_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.electric_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/electric_web/level1'); web_shooters(player); }
    })
	}
	if (electric_web_lv === 4) {
	form.title("spidermanaddon.electric_web_lv5_title");
	form.body("spidermanaddon.electric_web_lv5_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.electric_web.price5");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=25] run function laboratory_workbench/web_shooter/electric_web/level5'); web_shooters(player); }
    })
	}
	if (electric_web_lv === 5) {
	form.title("spidermanaddon.electric_web_full");
	form.body("spidermanaddon.web_shooter_full_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.salir");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
    })
	}
}
function web_whip_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/ui/web_whip')
	gui.button('', 'textures/entity/invisible')
	gui.button('8', 'textures/items/redstone_dust')
	gui.button('2', 'textures/items/gold_ingot')
	gui.button('3', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            web_whip_unlock(player)
        }
    })
}
function web_whip_unlock(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:gold_ingot,quantity=2..}] at @s[hasitem={item=spidermanaddon:component,quantity=3..}] at @s[hasitem={item=minecraft:redstone,quantity=8..}] run function laboratory_workbench/web_whip_unlock');
   web_shooters(player)
}
function web_whip(player) {
	form.title("spidermanaddon.web_whip_full");
	form.body("spidermanaddon.web_whip_full_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.salir");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
    })
}
function impact_web(player) {
	let impact_web_lv = getScore(player, 'impact_web_lv')
	let form = new MessageFormData();
	if (impact_web_lv === 0) {
	form.title("spidermanaddon.impact_web_lv1_title");
	form.body("spidermanaddon.impact_web_lv1_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.impact_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/impact_web/level1'); web_shooters(player); }
    })
	}
	if (impact_web_lv === 1) {
	form.title("spidermanaddon.impact_web_lv2_title");
	form.body("spidermanaddon.impact_web_lv2_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.impact_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/impact_web/level1'); web_shooters(player); }
    })
	}
	if (impact_web_lv === 2) {
	form.title("spidermanaddon.impact_web_lv3_title");
	form.body("spidermanaddon.impact_web_lv3_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.impact_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/impact_web/level1'); web_shooters(player); }
    })
	}
	if (impact_web_lv === 3) {
	form.title("spidermanaddon.impact_web_lv4_title");
	form.body("spidermanaddon.impact_web_lv4_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.impact_web.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/impact_web/level1'); web_shooters(player); }
    })
	}
	if (impact_web_lv === 4) {
	form.title("spidermanaddon.impact_web_lv5_title");
	form.body("spidermanaddon.impact_web_lv5_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.impact_web.price5");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=25] run function laboratory_workbench/web_shooter/impact_web/level5'); web_shooters(player); }
    })
	}
	if (impact_web_lv === 5) {
	form.title("spidermanaddon.impact_web_full");
	form.body("spidermanaddon.web_shooter_full_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.salir");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
    })
	}
}
function web_shooter_shoot(player) {
	let web_shooter_shoot_lv = getScore(player, 'web_shooter_shoot_lv')
	let form = new MessageFormData();
	if (web_shooter_shoot_lv === 0) {
	form.title("spidermanaddon.web_shooter_shoot_lv1_title");
	form.body("spidermanaddon.web_shooter_shoot_lv1_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_shooter_shoot.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/shoot/level1'); web_shooters(player); }
    })
	}
	if (web_shooter_shoot_lv === 1) {
	form.title("spidermanaddon.web_shooter_shoot_lv2_title");
	form.body("spidermanaddon.web_shooter_shoot_lv2_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_shooter_shoot.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/shoot/level1'); web_shooters(player); }
    })
	}
	if (web_shooter_shoot_lv === 2) {
	form.title("spidermanaddon.web_shooter_shoot_lv3_title");
	form.body("spidermanaddon.web_shooter_shoot_lv3_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_shooter_shoot.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/shoot/level1'); web_shooters(player); }
    })
	}
	if (web_shooter_shoot_lv === 3) {
	form.title("spidermanaddon.web_shooter_shoot_lv4_title");
	form.body("spidermanaddon.web_shooter_shoot_lv4_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_shooter_shoot.price");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function laboratory_workbench/web_shooter/shoot/level1'); web_shooters(player); }
    })
	}
	if (web_shooter_shoot_lv === 4) {
	form.title("spidermanaddon.web_shooter_shoot_lv5_title");
	form.body("spidermanaddon.web_shooter_shoot_lv5_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.web_shooter_shoot.price5");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=25] run function laboratory_workbench/web_shooter/shoot/level5'); web_shooters(player); }
    })
	}
	if (web_shooter_shoot_lv === 5) {
	form.title("spidermanaddon.web_shooter_shoot_full");
	form.body("spidermanaddon.web_shooter_full_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.salir");
    form.show(player).then(result => {
        if (result.selection === 0) { web_shooters(player) }
    })
	}
}
function impact_web_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/ui/impact_web')
	gui.button('', 'textures/entity/invisible')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('2', 'textures/items/iron_ingot')
	gui.button('3', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            impact_web_unlock(player)
        }
    })
}
function impact_web_unlock(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:iron_ingot,quantity=2..}] at @s[hasitem={item=spidermanaddon:component,quantity=3..}] at @s[hasitem={item=minecraft:redstone,quantity=12..}] run function laboratory_workbench/impact_web_unlock');
   web_shooters(player)
}
function suit_skills(player) {
	let low_gravity = getScore(player, 'low_gravity')
	let holo_decoy = getScore(player, 'holo_decoy')
	let arms_race = getScore(player, 'arms_race')
	let blitz = getScore(player, 'blitz')
	let electric_punch = getScore(player, 'electric_punch')
	let equaliser = getScore(player, 'equaliser')
	let negative_shockwave = getScore(player, 'negative_shockwave')
	let rock_out = getScore(player, 'rock_out')
	let spirit_fire = getScore(player, 'spirit_fire')
    const gui = new ActionFormData();
    gui.title('spidermanaddon.laboratoryWorkbench')
    gui.button('item.spidermanaddon:web_blossom', 'textures/items/suit_skills/web_blossom')
	if (low_gravity === 0) {
	gui.button('spidermanaddon.low_gravity_lock', 'textures/ui/low_gravity_lock')
	}else if (low_gravity === 1) {
	gui.button('item.spidermanaddon:low_gravity', 'textures/items/suit_skills/low_gravity')
	}
	if (holo_decoy === 0) {
	gui.button('spidermanaddon.holo_decoy_lock', 'textures/ui/holo_decoy_lock')
	}else if (holo_decoy === 1) {
	gui.button('item.spidermanaddon:holo_decoy', 'textures/items/suit_skills/holo_decoy')
	}
	if (arms_race === 0) {
	gui.button('spidermanaddon.arms_race_lock', 'textures/ui/arms_race_lock')
	}else if (arms_race === 1) {
	gui.button('item.spidermanaddon:arms_race', 'textures/items/suit_skills/arms_race')
	}
	if (blitz === 0) {
	gui.button('spidermanaddon.blitz_lock', 'textures/ui/blitz_lock')
	}else if (blitz === 1) {
	gui.button('item.spidermanaddon:blitz', 'textures/items/suit_skills/blitz')
	}
	if (electric_punch === 0) {
	gui.button('spidermanaddon.electric_punch_lock', 'textures/ui/electric_punch_lock')
	}else if (electric_punch === 1) {
	gui.button('item.spidermanaddon:electric_punch', 'textures/items/suit_skills/electric_punch')
	}
	if (equaliser === 0) {
	gui.button('spidermanaddon.equaliser_lock', 'textures/ui/equaliser_lock')
	}else if (equaliser === 1) {
	gui.button('item.spidermanaddon:equaliser', 'textures/items/suit_skills/equaliser')
	}
	if (negative_shockwave === 0) {
	gui.button('spidermanaddon.negative_shockwave_lock', 'textures/ui/negative_shockwave_lock')
	}else if (negative_shockwave === 1) {
	gui.button('item.spidermanaddon:negative_shockwave', 'textures/items/suit_skills/negative_shockwave')
	}
	if (rock_out === 0) {
	gui.button('spidermanaddon.rock_out_lock', 'textures/ui/rock_out_lock')
	}else if (rock_out === 1) {
	gui.button('item.spidermanaddon:rock_out', 'textures/items/suit_skills/rock_out')
	}
	if (spirit_fire === 0) {
	gui.button('spidermanaddon.spirit_fire_lock', 'textures/ui/spirit_fire_lock')
	}else if (spirit_fire === 1) {
	gui.button('item.spidermanaddon:spirit_fire', 'textures/items/suit_skills/spirit_fire')
	}
    gui.show(player).then(result => {
        if (result.selection === 0) { web_blossom(player) }
		if (result.selection === 1 && low_gravity === 0) { low_gravity_lock(player) }
		if (result.selection === 1 && low_gravity === 1) { low_gravity_unlock(player) }
		if (result.selection === 2 && holo_decoy === 0) { holo_decoy_lock(player) }
		if (result.selection === 2 && holo_decoy === 1) { holo_decoy_unlock(player) }
		if (result.selection === 3 && arms_race === 0) { arms_race_lock(player) }
		if (result.selection === 3 && arms_race === 1) { arms_race_unlock(player) }
		if (result.selection === 4 && blitz === 0) { blitz_lock(player) }
		if (result.selection === 4 && blitz === 1) { blitz_unlock(player) }
		if (result.selection === 5 && electric_punch === 0) { electric_punch_lock(player) }
		if (result.selection === 5 && electric_punch === 1) { electric_punch_unlock(player) }
		if (result.selection === 6 && equaliser === 0) { equaliser_lock(player) }
		if (result.selection === 6 && equaliser === 1) { equaliser_unlock(player) }
		if (result.selection === 7 && negative_shockwave === 0) { negative_shockwave_lock(player) }
		if (result.selection === 7 && negative_shockwave === 1) { negative_shockwave_unlock(player) }
		if (result.selection === 8 && rock_out === 0) { rock_out_lock(player) }
		if (result.selection === 8 && rock_out === 1) { rock_out_unlock(player) }
		if (result.selection === 9 && spirit_fire === 0) { spirit_fire_lock(player) }
		if (result.selection === 9 && spirit_fire === 1) { spirit_fire_unlock(player) }
    })
}
function spirit_fire_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/spirit_fire')
	gui.button('20', 'textures/items/blaze_rod')
	gui.button('24', 'textures/items/gunpowder')
	gui.button('40', 'textures/ui/soul_sand')
	gui.button('16', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spirit_fire(player)
        }
    })
}
function spirit_fire(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:blaze_rod,quantity=20..}] at @s[hasitem={item=minecraft:gunpowder,quantity=24..}] at @s[hasitem={item=spidermanaddon:component,quantity=16..}] at @s[hasitem={item=minecraft:soul_sand,quantity=40..}] run function laboratory_workbench/spirit_fire');
   suit_skills(player)
}
function spirit_fire_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.spirit_fire_lock");
	form.body("spidermanaddon.spirit_fire_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/spirit_fire');
        }
    })
}
function rock_out_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/rock_out')
	gui.button('24', 'textures/items/blaze_rod')
	gui.button('32', 'textures/items/gunpowder')
	gui.button('8', 'textures/items/multiversal_particles')
	gui.button('32', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            rock_out(player)
        }
    })
}
function rock_out(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:blaze_rod,quantity=24..}] at @s[hasitem={item=minecraft:gunpowder,quantity=32..}] at @s[hasitem={item=spidermanaddon:component,quantity=32..}] at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=8..}] run function laboratory_workbench/rock_out');
   suit_skills(player)
}
function rock_out_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.rock_out_lock");
	form.body("spidermanaddon.rock_out_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/rock_out');
        }
    })
}
function negative_shockwave_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/negative_shockwave')
	gui.button('16', 'textures/items/blaze_rod')
	gui.button('32', 'textures/items/gunpowder')
	gui.button('16', 'textures/items/gr_27_negative')
	gui.button('24', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            negative_shockwave(player)
        }
    })
}
function negative_shockwave(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:blaze_rod,quantity=16..}] at @s[hasitem={item=minecraft:gunpowder,quantity=32..}] at @s[hasitem={item=spidermanaddon:component,quantity=24..}] at @s[hasitem={item=spidermanaddon:gr_27_negative,quantity=16..}] run function laboratory_workbench/negative_shockwave');
   suit_skills(player)
}
function negative_shockwave_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.negative_shockwave_lock");
	form.body("spidermanaddon.negative_shockwave_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/negative_shockwave');
        }
    })
}
function equaliser_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/equaliser')
	gui.button('42', 'textures/items/blaze_rod')
	gui.button('16', 'textures/items/ghast_tear')
	gui.button('42', 'textures/items/glowstone_dust')
	gui.button('24', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            equaliser(player)
        }
    })
}
function equaliser(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:blaze_rod,quantity=42..}] at @s[hasitem={item=minecraft:ghast_tear,quantity=16..}] at @s[hasitem={item=spidermanaddon:component,quantity=24..}] at @s[hasitem={item=minecraft:glowstone_dust,quantity=42..}] run function laboratory_workbench/equaliser');
   suit_skills(player)
}
function equaliser_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.equaliser_lock");
	form.body("spidermanaddon.equaliser_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/equaliser');
        }
    })
}
function electric_punch_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/electric_punch')
	gui.button('12', 'textures/items/blaze_rod')
	gui.button('10', 'textures/items/gunpowder')
	gui.button('42', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            electric_punch(player)
        }
    })
}
function electric_punch(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:blaze_rod,quantity=12..}] at @s[hasitem={item=minecraft:gunpowder,quantity=10..}] at @s[hasitem={item=spidermanaddon:component,quantity=16..}] at @s[hasitem={item=minecraft:redstone,quantity=42..}] run function laboratory_workbench/electric_punch');
   suit_skills(player)
}
function electric_punch_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.electric_punch_lock");
	form.body("spidermanaddon.electric_punch_lock_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/electric_punch');
        }
    })
}
function blitz_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/blitz')
	gui.button('12', 'textures/items/blaze_rod')
	gui.button('32', 'textures/items/sugar')
	gui.button('32', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            blitz(player)
        }
    })
}
function blitz(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:blaze_rod,quantity=12..}] at @s[hasitem={item=minecraft:sugar,quantity=32..}] at @s[hasitem={item=spidermanaddon:component,quantity=16..}] at @s[hasitem={item=minecraft:redstone,quantity=32..}] run function laboratory_workbench/blitz');
   suit_skills(player)
}
function blitz_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.blitz_lock");
	form.body("spidermanaddon.blitz_lock_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/blitz');
        }
    })
}
function arms_race_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/arms_race')
	gui.button('', 'textures/entity/invisible')
	gui.button('12', 'textures/items/coal')
	gui.button('42', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            arms_race(player)
        }
    })
}
function arms_race(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:coal,quantity=12..}] at @s[hasitem={item=spidermanaddon:component,quantity=16..}] at @s[hasitem={item=minecraft:redstone,quantity=42..}] run function laboratory_workbench/arms_race');
   suit_skills(player)
}
function arms_race_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.arms_race_lock");
	form.body("spidermanaddon.arms_race_lock_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/arms_race');
        }
    })
}
function holo_decoy_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/holo_decoy')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/items/ender_pearl')
	gui.button('32', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            holo_decoy(player)
        }
    })
}
function holo_decoy(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:ender_pearl,quantity=16..}] at @s[hasitem={item=spidermanaddon:component,quantity=16..}] at @s[hasitem={item=minecraft:redstone,quantity=32..}] run function laboratory_workbench/holo_decoy');
   suit_skills(player)
}
function holo_decoy_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.holo_decoy_lock");
	form.body("spidermanaddon.holo_decoy_lock_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/holo_decoy');
        }
    })
}
function low_gravity_lock(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suit_skills/low_gravity')
	gui.button('', 'textures/entity/invisible')
	gui.button('12', 'textures/items/phantom_membrane')
	gui.button('8', 'textures/items/nanotechnology_chip')
	gui.button('16', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            low_gravity(player)
        }
    })
}
function low_gravity(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:phantom_membrane,quantity=12..}] at @s[hasitem={item=spidermanaddon:component,quantity=16..}] at @s[hasitem={item=spidermanaddon:nanotechnology_chip,quantity=8..}] run function laboratory_workbench/low_gravity');
   suit_skills(player)
}
function web_blossom(player) {
	let form = new MessageFormData();
	form.title("item.spidermanaddon:web_blossom");
	form.body("spidermanaddon.web_blossom_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/web_blossom');
        }
    })
}
function low_gravity_unlock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.low_gravity_lock");
	form.body("spidermanaddon.low_gravity_lock_text");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.usar");
    form.show(player).then(result => {
        if (result.selection === 0) {
            suit_skills(player)
        }
        if (result.selection === 1) {
            player.runCommand('/function suit_skills/low_gravity');
        }
    })
}
function accesorios(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.laboratoryWorkbench')
    gui.button('spidermanaddon.web_shooter', 'textures/items/web_shooter/web_shot')
	gui.button('item.spiderverse:web_shooter_balanceo', 'textures/items/web_shooter/web_shooter')
	gui.button('item.spidermanaddon:pumpkin_bomb', 'textures/items/pumpkin_bomb')
	gui.button('spidermanaddon.hobgoblin_pumpkin_bomb', 'textures/items/hobgoblin_pumpkin_bomb')
	gui.button('item.spiderverse:iron_arms', 'textures/items/iron_arms')
	gui.button('spidermanaddon.capsule', 'textures/items/capsule')
	gui.button('item.spidermanaddon:nanotechnology_chip', 'textures/items/nanotechnology_chip')
	gui.button('item.spidermanaddon:robot_dog_pet', 'textures/items/robot_dog_pet')
	gui.button('item.spawn_egg.entity.spidermanaddon:spider_bike.name', 'textures/items/spider_bike')
	gui.button('item.spawn_egg.entity.spidermanaddon:spider_mobile.name', 'textures/items/spider_mobile')
	gui.button('spidermanaddon.multiversal_gizmo', 'textures/items/multiversal_gizmo')
	gui.button('spidermanaddon.multiversal_chip', 'textures/ui/multiversal_chip')
	gui.button('item.spidermanaddon:planeador_raimi_item', 'textures/items/planeador_raimi')
	gui.button('item.spidermanaddon:pumpkin_bomb_raimi', 'textures/items/pumpkin_bomb_raimi')
	gui.button('item.spidermanaddon:spider_web_ball', 'textures/items/spider_web_ball')
	gui.button('item.spidermanaddon:trace_c', 'textures/items/trace_c')
	gui.button('item.spidermanaddon:twirl_e', 'textures/items/twirl_e')
	gui.button('item.spidermanaddon:twist_e', 'textures/items/twist_e')
	gui.button('item.spidermanaddon:spider_bot_fly_controllers', 'textures/items/usb')
	gui.button('item.spidermanaddon:spider_bots_controllers', 'textures/items/usb')
	gui.button('item.spidermanaddon:robot_dog_pet_plans', 'textures/items/usb')
	gui.button('item.spidermanaddon:planeador_item', 'textures/items/planeador')
	gui.button('item.spidermanaddon:mobile', 'textures/items/mobile')
	gui.button('item.spidermanaddon:web_wings', 'textures/items/web_wings')
	gui.button('item.spidermanaddon:spider_drone_item', 'textures/items/web_bomb')
    gui.show(player).then(result => {
        if (result.selection === 0) { web_shooter(player) }
		if (result.selection === 1) { web_shooter_balanceo(player) }
		if (result.selection === 2) { pumpkin_bomb(player) }
		if (result.selection === 3) { hobgoblin_pumpkin_bomb(player) }
		if (result.selection === 4) { iron_arms(player) }
		if (result.selection === 5) { capsule(player) }
		if (result.selection === 6) { nanotechnology_chip(player) }
		if (result.selection === 7) { robot_dog_pet(player) }
		if (result.selection === 8) { spider_bike(player) }
		if (result.selection === 9) { spider_mobile(player) }
		if (result.selection === 10) { multiversal_gizmo(player) }
		if (result.selection === 11) { multiversal_chip(player) }
		if (result.selection === 12) { planeador_raimi_item(player) }
		if (result.selection === 13) { pumpkin_bomb_raimi(player) }
		if (result.selection === 14) { spider_web_ball(player) }
		if (result.selection === 15) { trace_c(player) }
		if (result.selection === 16) { twirl_e(player) }
		if (result.selection === 17) { twist_e(player) }
		if (result.selection === 18) { spider_bot_fly_controllers(player) }
		if (result.selection === 19) { spider_bots_controllers(player) }
		if (result.selection === 20) { robot_dog_pet_plans(player) }
		if (result.selection === 21) { planeador(player) }
		if (result.selection === 22) { mobile(player) }
		if (result.selection === 23) { web_wings(player) }
		if (result.selection === 24) { spider_drone_item(player) }
    })
}
function spider_drone_item(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/web_bomb')
	gui.button('', 'textures/entity/invisible')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('8', 'textures/items/component')
	gui.button('12', 'textures/items/iron_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_drone_item_on(player)
        }
    })
}
function spider_drone_item_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=12..}] at @s[hasitem={item=minecraft:redstone,quantity=24..}] run function laboratory_workbench/spider_drone_item');
}
function web_wings(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/web_wings')
	gui.button('', 'textures/entity/invisible')
	gui.button('8', 'textures/items/string')
	gui.button('3', 'textures/items/slimeball')
	gui.button('4', 'textures/ui/wool')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            web_wings_on(player)
        }
    })
}
function web_wings_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:string,quantity=8..}] at @s[hasitem={item=minecraft:slime_ball,quantity=3..}] at @s[hasitem={item=minecraft:wool,quantity=4..}] run function laboratory_workbench/web_wings');
}
function mobile(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/mobile')
	gui.button('', 'textures/entity/invisible')
	gui.button('4', 'textures/items/iron_ingot')
	gui.button('1', 'textures/items/diamond')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            mobile_on(player)
        }
    })
}
function mobile_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=4..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=4..}] run function laboratory_workbench/mobile');
}
function robot_dog_pet_plans(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/usb')
	gui.button('', 'textures/entity/invisible')
	gui.button('4', 'textures/items/diamond')
	gui.button('4', 'textures/items/nanotechnology_chip')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            robot_dog_pet_plans_on(player)
        }
    })
}
function robot_dog_pet_plans_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=4..}] at @s[hasitem={item=minecraft:diamond,quantity=4..}] at @s[hasitem={item=spidermanaddon:nanotechnology_chip,quantity=4..}] run function laboratory_workbench/robot_dog_pet_plans');
}
function planeador(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/planeador')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/iron_ingot')
	gui.button('24', 'textures/items/redstone_dust')
	gui.button('8', 'textures/items/emerald')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            planeador_on(player)
        }
    })
}
function planeador_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:emerald,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=32..}] at @s[hasitem={item=minecraft:redstone,quantity=24..}] run function laboratory_workbench/planeador');
}
function spider_bots_controllers(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/twist_e')
	gui.button('', 'textures/entity/invisible')
	gui.button('4', 'textures/items/diamond')
	gui.button('4', 'textures/items/nanotechnology_chip')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_bots_controllers_on(player)
        }
    })
}
function spider_bots_controllers_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=4..}] at @s[hasitem={item=minecraft:diamond,quantity=4..}] at @s[hasitem={item=spidermanaddon:nanotechnology_chip,quantity=4..}] run function laboratory_workbench/spider_bots_controllers');
}
function spider_bot_fly_controllers(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/twist_e')
	gui.button('', 'textures/entity/invisible')
	gui.button('4', 'textures/items/diamond')
	gui.button('4', 'textures/items/nanotechnology_chip')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_bot_fly_controllers_on(player)
        }
    })
}
function spider_bot_fly_controllers_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=4..}] at @s[hasitem={item=minecraft:diamond,quantity=4..}] at @s[hasitem={item=spidermanaddon:nanotechnology_chip,quantity=4..}] run function laboratory_workbench/spider_bot_fly_controllers');
}
function twist_e(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/twist_e')
	gui.button('4', 'textures/items/diamond')
	gui.button('12', 'textures/items/iron_ingot')
	gui.button('8', 'textures/items/gold_ingot')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            twist_e_on(player)
        }
    })
}
function twist_e_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=12..}] at @s[hasitem={item=minecraft:diamond,quantity=4..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=12..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=8..}] run function laboratory_workbench/twist_e');
}
function twirl_e(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/twirl_e')
	gui.button('4', 'textures/items/diamond')
	gui.button('12', 'textures/items/iron_ingot')
	gui.button('8', 'textures/items/gold_ingot')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            twirl_e_on(player)
        }
    })
}
function twirl_e_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=12..}] at @s[hasitem={item=minecraft:diamond,quantity=4..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=12..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=8..}] run function laboratory_workbench/twirl_e');
}
function trace_c(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/trace_c')
	gui.button('4', 'textures/items/diamond')
	gui.button('12', 'textures/items/iron_ingot')
	gui.button('8', 'textures/items/gold_ingot')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            trace_c_on(player)
        }
    })
}
function trace_c_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=12..}] at @s[hasitem={item=minecraft:diamond,quantity=4..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=12..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=8..}] run function laboratory_workbench/trace_c');
}
function spider_web_ball(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/spider_web_ball')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/slimeball')
	gui.button('4', 'textures/items/string')
	gui.button('', 'textures/entity/invisible')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_web_ball_on(player)
        }
    })
}
function spider_web_ball_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:slime_ball,quantity=1..}] at @s[hasitem={item=minecraft:string,quantity=4..}] at @s[hasitem={item=minecraft:redstone,quantity=1..}] run function laboratory_workbench/spider_web_ball');
}
function pumpkin_bomb_raimi(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/pumpkin_bomb_raimi')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/gold_ingot')
	gui.button('40', 'textures/items/gunpowder')
	gui.button('40', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            pumpkin_bomb_raimi_on(player)
        }
    })
}
function pumpkin_bomb_raimi_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:gold_ingot,quantity=32..}] at @s[hasitem={item=minecraft:gunpowder,quantity=40..}] at @s[hasitem={item=minecraft:redstone,quantity=40..}] run function laboratory_workbench/pumpkin_bomb_raimi');
}
function planeador_raimi_item(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/planeador_raimi')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/iron_ingot')
	gui.button('24', 'textures/items/redstone_dust')
	gui.button('8', 'textures/items/emerald')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            planeador_raimi_item_on(player)
        }
    })
}
function planeador_raimi_item_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:emerald,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=32..}] at @s[hasitem={item=minecraft:redstone,quantity=24..}] run function laboratory_workbench/planeador_raimi_item');
}
function spiderman_chip(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.laboratoryWorkbench')
    gui.button('item.spidermanaddon:miles_morales_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spectacular_spiderman_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spider_gwen_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spider_ham_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spider_punk_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spiderman_2099_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spiderman_no_way_home_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spiderman_noir_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spiderman_raimi_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:spiderman_unlimited_chip', 'textures/items/multiversal_chip')
	gui.button('item.spidermanaddon:the_amazing_spiderman_chip', 'textures/items/multiversal_chip')
    gui.show(player).then(result => {
        if (result.selection === 0) { miles_morales_chip(player) }
		if (result.selection === 1) { spectacular_spiderman_chip(player) }
		if (result.selection === 2) { spider_gwen_chip(player) }
		if (result.selection === 3) { spider_ham_chip(player) }
		if (result.selection === 4) { spider_punk_chip(player) }
		if (result.selection === 5) { spiderman_2099_chip(player) }
		if (result.selection === 6) { spiderman_no_way_home_chip(player) }
		if (result.selection === 7) { spiderman_noir_chip(player) }
		if (result.selection === 8) { spiderman_raimi_chip(player) }
		if (result.selection === 9) { spiderman_unlimited_chip(player) }
		if (result.selection === 10) { the_amazing_spiderman_chip(player) }
    })
}
function spider_ham_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_ham_chip_on(player)
        }
    })
}
function spider_ham_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spider_ham_chip');
}
function the_amazing_spiderman_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            the_amazing_spiderman_chip_on(player)
        }
    })
}
function the_amazing_spiderman_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/the_amazing_spiderman_chip');
}
function spiderman_unlimited_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_unlimited_chip_on(player)
        }
    })
}
function spiderman_unlimited_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spiderman_unlimited_chip');
}
function spiderman_raimi_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_raimi_chip_on(player)
        }
    })
}
function spiderman_raimi_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spiderman_raimi_chip');
}
function spiderman_noir_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_noir_chip_on(player)
        }
    })
}
function spiderman_noir_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spiderman_noir_chip');
}
function spiderman_no_way_home_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_no_way_home_chip_on(player)
        }
    })
}
function spiderman_no_way_home_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spiderman_no_way_home_chip');
}
function spiderman_2099_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_2099_chip_on(player)
        }
    })
}
function spiderman_2099_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spiderman_2099_chip');
}
function spider_punk_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_punk_chip_on(player)
        }
    })
}
function spider_punk_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spider_punk_chip');
}
function spider_gwen_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_gwen_chip_on(player)
        }
    })
}
function spider_gwen_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spider_gwen_chip');
}
function spectacular_spiderman_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spectacular_spiderman_chip_on(player)
        }
    })
}
function spectacular_spiderman_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/spectacular_spiderman_chip');
}
function miles_morales_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            miles_morales_chip_on(player)
        }
    })
}
function miles_morales_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:diamond,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/miles_morales_chip');
}
function multiversal_chip(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.laboratoryWorkbench')
    gui.button('item.spidermanaddon:green_goblin', 'textures/items/spiderman_chip')
	gui.button('item.spidermanaddon:hobgoblin', 'textures/items/spiderman_chip')
	gui.button('item.spidermanaddon:shocker', 'textures/items/spiderman_chip')
	gui.button('item.spidermanaddon:lizard', 'textures/items/spiderman_chip')
	gui.button('item.spidermanaddon:dr_octopus', 'textures/items/spiderman_chip')
    gui.show(player).then(result => {
        if (result.selection === 0) { green_goblin(player) }
		if (result.selection === 1) { hobgoblin(player) }
		if (result.selection === 2) { shocker(player) }
		if (result.selection === 3) { lizard(player) }
		if (result.selection === 4) { dr_octopus(player) }
    })
}
function dr_octopus(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            dr_octopus_on(player)
        }
    })
}
function dr_octopus_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/dr_octopus');
}
function lizard(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            lizard_on(player)
        }
    })
}
function lizard_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/lizard');
}
function shocker(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            shocker_on(player)
        }
    })
}
function shocker_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/shocker');
}
function hobgoblin(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            hobgoblin_on(player)
        }
    })
}
function hobgoblin_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/hobgoblin');
}
function green_goblin(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('1', 'textures/items/multiversal_particles')
	gui.button('4', 'textures/items/redstone_dust')
	gui.button('1', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            green_goblin_on(player)
        }
    })
}
function green_goblin_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=1..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=1..}] at @s[hasitem={item=minecraft:redstone,quantity=4..}] run function laboratory_workbench/green_goblin');
}
function multiversal_gizmo(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/multiversal_gizmo')
	gui.button('', 'textures/entity/invisible')
	gui.button('8', 'textures/items/multiversal_particles')
	gui.button('16', 'textures/items/redstone_dust')
	gui.button('4', 'textures/items/iron_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            multiversal_gizmo_on(player)
        }
    })
}
function multiversal_gizmo_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:multiversal_particles,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=4..}] at @s[hasitem={item=minecraft:redstone,quantity=16..}] run function laboratory_workbench/multiversal_gizmo');
}
function spider_mobile(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/spider_mobile')
	gui.button('32', 'textures/items/component')
	gui.button('50', 'textures/items/iron_ingot')
	gui.button('40', 'textures/items/redstone_dust')
	gui.button('32', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_mobile_on(player)
        }
    })
}
function spider_mobile_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=32..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=32..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=50..}] at @s[hasitem={item=minecraft:redstone,quantity=40..}] run function laboratory_workbench/spider_mobile');
}
function spider_bike(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/spider_bike')
	gui.button('16', 'textures/items/component')
	gui.button('42', 'textures/items/iron_ingot')
	gui.button('32', 'textures/items/redstone_dust')
	gui.button('16', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spider_bike_on(player)
        }
    })
}
function spider_bike_on(player) {
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=16..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=42..}] at @s[hasitem={item=minecraft:redstone,quantity=32..}] run function laboratory_workbench/spider_bike');
}
function robot_dog_pet(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/robot_dog_pet')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/iron_ingot')
	gui.button('16', 'textures/items/redstone_dust')
	gui.button('12', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            robot_dog_pet_on(player)
        }
    })
}
function robot_dog_pet_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:gold_ingot,quantity=12..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=32..}] at @s[hasitem={item=minecraft:redstone,quantity=16..}] run function laboratory_workbench/robot_dog_pet');
}
function nanotechnology_chip(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/nanotechnology_chip')
	gui.button('', 'textures/entity/invisible')
	gui.button('8', 'textures/items/redstone_dust')
	gui.button('4', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            nanotechnology_chip_on(player)
        }
    })
}
function nanotechnology_chip_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:gold_ingot,quantity=4..}] at @s[hasitem={item=minecraft:redstone,quantity=8..}] run function laboratory_workbench/nanotechnology_chip');
}
function capsule(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/capsule')
	gui.button('', 'textures/entity/invisible')
	gui.button('2', 'textures/ui/glass')
	gui.button('4', 'textures/items/iron_ingot')
	gui.button('', 'textures/entity/invisible')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            capsule_on(player)
        }
    })
}
function capsule_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:glass,quantity=2..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=4..}] run function laboratory_workbench/capsule');
}
function iron_arms(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/iron_arms')
	gui.button('16', 'textures/items/redstone_dust')
	gui.button('8', 'textures/items/gold_ingot')
	gui.button('16', 'textures/items/iron_ingot')
	gui.button('32', 'textures/items/nanotechnology_chip')
	gui.button('4', 'textures/items/diamond')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            iron_arms_on(player)
        }
    })
}
function iron_arms_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:diamond,quantity=4..}] at @s[hasitem={item=spidermanaddon:nanotechnology_chip,quantity=32..}] at @s[hasitem={item=minecraft:gold_ingot,quantity=8..}] at @s[hasitem={item=minecraft:redstone,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=16..}] run function laboratory_workbench/iron_arms');
}
function hobgoblin_pumpkin_bomb(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/hobgoblin_pumpkin_bomb')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/gold_ingot')
	gui.button('50', 'textures/items/gunpowder')
	gui.button('50', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            hobgoblin_pumpkin_bomb_on(player)
        }
    })
}
function hobgoblin_pumpkin_bomb_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:gold_ingot,quantity=32..}] at @s[hasitem={item=minecraft:gunpowder,quantity=50..}] at @s[hasitem={item=minecraft:redstone,quantity=50..}] run function laboratory_workbench/hobgoblin_pumpkin_bomb');
}
function pumpkin_bomb(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/pumpkin_bomb')
	gui.button('', 'textures/entity/invisible')
	gui.button('32', 'textures/items/gold_ingot')
	gui.button('40', 'textures/items/gunpowder')
	gui.button('40', 'textures/items/redstone_dust')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            pumpkin_bomb_on(player)
        }
    })
}
function pumpkin_bomb_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:gold_ingot,quantity=32..}] at @s[hasitem={item=minecraft:gunpowder,quantity=40..}] at @s[hasitem={item=minecraft:redstone,quantity=50..}] run function laboratory_workbench/pumpkin_bomb');
}
function web_shooter_balanceo(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/web_shooter/web_shooter')
	gui.button('8', 'textures/items/redstone_dust')
	gui.button('6', 'textures/items/iron_ingot')
	gui.button('2', 'textures/items/repeater')
	gui.button('2', 'textures/items/diamond')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            web_shooter_balanceo_on(player)
        }
    })
}
function web_shooter_balanceo_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:diamond,quantity=2..}] at @s[hasitem={item=minecraft:redstone,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=6..}] at @s[hasitem={item=minecraft:repeater,quantity=2..}] run function laboratory_workbench/web_shooter_balanceo');
}
function web_shooter(player) {
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/web_shooter/web_shot')
	gui.button('8', 'textures/items/redstone_dust')
	gui.button('6', 'textures/items/iron_ingot')
	gui.button('2', 'textures/items/repeater')
	gui.button('2', 'textures/items/gold_ingot')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            web_shooter_on(player)
        }
    })
}
function web_shooter_on(player) {
   player.runCommand('/execute at @s[hasitem={item=minecraft:gold_ingot,quantity=2..}] at @s[hasitem={item=minecraft:redstone,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=6..}] at @s[hasitem={item=minecraft:repeater,quantity=2..}] run function laboratory_workbench/web_shooter');
}