import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    let DBname = player.nameTag;
    expression[DBname] = "0";
    if (eventData.itemStack.typeId == 'spidermanaddon:mobile') {
        system.run(() => {
            phoneScreen0(player);
            addPlayerMoney(player);
        })
    }
});

world.afterEvents.worldInitialize.subscribe(eventData => {
    const scoreboard = world.scoreboard.getObjective("emoney");
    if (scoreboard == undefined) {
        world.scoreboard.addObjective("emoney");
    }
    else return;
});

function addPlayerMoney(player) {
    player.runCommandAsync('scoreboard players add @s emoney 0')

}
function getScore(player, objective) {
    try {
        return world.scoreboard.getObjective(objective).getScore(player);
    } catch {
        return 0
    }
}
function SettingApp(player) {
    let form = new ActionFormData();
    form.title('setting_apps')
    form.button('back');
    form.show(player).then(result => {
        if (result.selection === 0) {
            BackButton(player)
        }
    })
}

function phoneScreen0(player) {
    const gui = new ActionFormData();
    gui.title('Mobile')
    gui.button('Contacts', 'textures/icon/contacts')
    gui.button('Missions', 'textures/icon/missions')
    gui.button('Configuration', 'textures/icon/configuration')
    gui.button('Upgrades', 'textures/icon/upgrades')
    gui.button('Camera', 'textures/icon/camera')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            contacts(player)
        }
        if (result.selection === 1) {
            missions(player)
        }
        if (result.selection === 2) {
            configuration(player)
        }
        if (result.selection === 3) {
            upgrades(player)
        }
        if (result.selection === 4) {
            camera(player)
        }
    })
}

function upgrades(player) {
    let escudo_token = getScore(player, 'escudo_token')
    let golpe_eletrico_token = getScore(player, 'golpe_eletrico_token')
    let regeneracion_token = getScore(player, 'regeneracion_token')
    let salud_extra_token = getScore(player, 'salud_extra_token')
    let dano_token = getScore(player, 'dano_token')
    const gui = new ActionFormData();
    gui.title('Mobile')
    gui.button(`Shield: ${escudo_token}/1`, 'textures/items/mod_token0')
    gui.button(`Electric shock: ${golpe_eletrico_token}/1`, 'textures/items/mod_token5')
    gui.button(`Regeneration: ${regeneracion_token}/2`, 'textures/items/mod_token3')
    gui.button(`Extra health: ${salud_extra_token}/10`, 'textures/items/mod_token2')
    gui.button(`Attack damage: ${dano_token}/1`, 'textures/items/mod_token1')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            escudo_token(player)
        }
        if (result.selection === 1) {
            golpe_eletrico_token(player)
        }
        if (result.selection === 2) {
            salud_extra_token(player)
        }
        if (result.selection === 3) {
            regeneracion_token(player)
        }
        if (result.selection === 4) {
            dano_token(player)
        }
    })
}

function contacts(player) {
    const gui = new ActionFormData();
    gui.title('Contacts')
    gui.button('Joe Pizza', 'textures/icon/pizza')
    gui.button('Ned Leeds', 'textures/icon/ned_leeds')
    gui.button('911', 'textures/icon/911')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            pizza(player)
        }
        if (result.selection === 1) {
            ned_leeds(player)
        }
        if (result.selection === 2) {
            nueveonce(player)
        }
    })
}
function pizza(player) {
    player.runCommand('msg @s ¡La pizza llegara en camino!');
}
function ned_leeds(player) {
    player.runCommand('msg @s ¡La pizza llegara en camino!');
}
function nueveonce(player) {
    player.runCommand('msg @s ¡La pizza llegara en camino!');
}