import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData, MessageFormData } from "@minecraft/server-ui";

let expression = {};
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    if (eventData.itemStack.typeId == 'spidermanaddon:symbiote_menu' && player.isSneaking) {
        system.run(() => {
            symbiote_powers(player);
        })
    }
});
function venom(player) {
	player.runCommand('scoreboard players set @s symbiote_skin 0');
	player.runCommand('event entity @s spiderman:symbiote_skin.venom');
}
function antivenom(player) {
	player.runCommand('event entity @s spiderman:symbiote_skin.antivenom');
	player.runCommand('scoreboard players set @s symbiote_skin 1');
}
function symbiote_skin(player) {
    const gui = new ActionFormData();
	player.runCommand('scoreboard objectives add symbiote_skin dummy');
    gui.title('spidermanaddon.symbiote_skin')
    gui.button('spidermanaddon.venom', 'textures/items/venom_transform')
	gui.button('spidermanaddon.antivenom', 'textures/items/anti_venom_transform')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            venom(player)
        }
        if (result.selection === 1) {
            antivenom(player)
        }
    })
}
function symbiote_suit(player) {
    const gui = new ActionFormData();
	player.runCommand('scoreboard objectives add symbiote_suit dummy');
    gui.title('spidermanaddon.symbiote_suit')
    gui.button('spidermanaddon.none', 'textures/ui/cancel')
	gui.button('item.spiderverse:spiderman_ps5_symbiote_suit', 'textures/items/suits/spiderman_ps5_symbiote_suit')
	gui.button('item.spiderverse:spiderman_ps4_black_suit', 'textures/items/suits/spiderman_ps4_black_suit')
	gui.button('item.spiderverse:spiderman_antivenom_suit', 'textures/items/suits/spiderman_antivenom_suit')
	if (!player.hasTag("symbiote_suit_4")) { gui.button('item.spiderverse:spectacular_spiderman_black_suit', 'textures/ui/spectacular_spiderman_black_suit_lock') }
	if (player.hasTag("symbiote_suit_4")) { gui.button('item.spiderverse:spectacular_spiderman_black_suit', 'textures/items/suits/spectacular_spiderman_black_suit') }
	if (!player.hasTag("symbiote_suit_5")) { gui.button('item.spiderverse:spectacular_spiderman_black_suit_2', 'textures/ui/spectacular_spiderman_black_suit_2_lock') }
	if (player.hasTag("symbiote_suit_5")) { gui.button('item.spiderverse:spectacular_spiderman_black_suit_2', 'textures/items/suits/spectacular_spiderman_black_suit_2') }
	if (!player.hasTag("symbiote_suit_6")) { gui.button('item.spiderverse:spectacular_spiderman_black_suit_3', 'textures/ui/spectacular_spiderman_black_suit_3_lock') }
	if (player.hasTag("symbiote_suit_6")) { gui.button('item.spiderverse:spectacular_spiderman_black_suit_3', 'textures/items/suits/spectacular_spiderman_black_suit_3') }
	if (!player.hasTag("symbiote_suit_7")) { gui.button('item.spiderverse:spiderman_90_black_suit', 'textures/ui/spiderman_90_black_suit_lock') }
	if (player.hasTag("symbiote_suit_7")) { gui.button('item.spiderverse:spiderman_90_black_suit', 'textures/items/suits/spiderman_90_black_suit') }
	if (!player.hasTag("symbiote_suit_8")) { gui.button('item.spiderverse:spiderman_90_black_suit_1', 'textures/ui/spiderman_90_black_suit_1_lock') }
	if (player.hasTag("symbiote_suit_8")) { gui.button('item.spiderverse:spiderman_90_black_suit_1', 'textures/items/suits/spiderman_90_black_suit_1') }
	if (!player.hasTag("symbiote_suit_9")) { gui.button('item.spiderverse:spiderman_classic_black_suit', 'textures/ui/spiderman_classic_black_suit_lock') }
	if (player.hasTag("symbiote_suit_9")) { gui.button('item.spiderverse:spiderman_classic_black_suit', 'textures/items/suits/spiderman_classic_black_suit') }
	if (!player.hasTag("symbiote_suit_10")) { gui.button('item.spiderverse:spiderman_raimi_black_suit', 'textures/ui/spiderman_raimi_black_suit_lock') }
	if (player.hasTag("symbiote_suit_10")) { gui.button('item.spiderverse:spiderman_raimi_black_suit', 'textures/items/suits/spiderman_raimi_black_suit') }
	if (!player.hasTag("symbiote_suit_11")) { gui.button('item.spiderverse:spiderman_web_of_shadows_black_suit', 'textures/ui/spiderman_web_of_shadows_black_suit_lock') }
	if (player.hasTag("symbiote_suit_11")) { gui.button('item.spiderverse:spiderman_web_of_shadows_black_suit', 'textures/items/suits/spiderman_web_of_shadows_black_suit') }
	if (!player.hasTag("symbiote_suit_12")) { gui.button('item.spiderverse:superior_spiderman_black_suit', 'textures/ui/superior_spiderman_black_suit_lock') }
	if (player.hasTag("symbiote_suit_12")) { gui.button('item.spiderverse:superior_spiderman_black_suit', 'textures/items/suits/superior_spiderman_black_suit') }
	if (!player.hasTag("symbiote_suit_13")) { gui.button('item.spiderverse:the_amazing_spiderman_black_suit', 'textures/ui/the_amazing_spiderman_black_suit_lock') }
	if (player.hasTag("symbiote_suit_13")) { gui.button('item.spiderverse:the_amazing_spiderman_black_suit', 'textures/items/suits/the_amazing_spiderman_black_suit') }
	if (!player.hasTag("symbiote_suit_14")) { gui.button('item.spiderverse:ultimate_spiderman_black_suit', 'textures/ui/ultimate_spiderman_black_suit_lock') }
	if (player.hasTag("symbiote_suit_14")) { gui.button('item.spiderverse:ultimate_spiderman_black_suit', 'textures/items/suits/ultimate_spiderman_black_suit') }
	if (!player.hasTag("symbiote_suit_15")) { gui.button('item.spiderverse:venom_s3', 'textures/ui/venom_s3_lock') }
	if (player.hasTag("symbiote_suit_15")) { gui.button('item.spiderverse:venom_s3', 'textures/items/suits/venom_spiderman3') }
    gui.show(player).then(result => {
        if (result.selection === 0) { no_suit(player) }
        if (result.selection === 1) { spiderman_ps5_symbiote_suit(player) }
        if (result.selection === 2) { spiderman_ps4_black_suit(player) }
        if (result.selection === 3) { spiderman_antivenom_suit(player) }
        if (result.selection === 4 && player.hasTag("symbiote_suit_4")) { spectacular_spiderman_black_suit(player) }
        if (result.selection === 5 && player.hasTag("symbiote_suit_5")) { spectacular_spiderman_black_suit_2(player) }
        if (result.selection === 6 && player.hasTag("symbiote_suit_6")) { spectacular_spiderman_black_suit_3(player) }
        if (result.selection === 7 && player.hasTag("symbiote_suit_7")) { spiderman_90_black_suit(player) }
        if (result.selection === 8 && player.hasTag("symbiote_suit_8")) { spiderman_90_black_suit_1(player) }
        if (result.selection === 9 && player.hasTag("symbiote_suit_9")) { spiderman_classic_black_suit(player) }
        if (result.selection === 10 && player.hasTag("symbiote_suit_10")) { spiderman_raimi_black_suit(player) }
        if (result.selection === 11 && player.hasTag("symbiote_suit_11")) { spiderman_web_of_shadows_black_suit(player) }
        if (result.selection === 12 && player.hasTag("symbiote_suit_12")) { superior_spiderman_black_suit(player) }
        if (result.selection === 13 && player.hasTag("symbiote_suit_13")) { the_amazing_spiderman_black_suit(player) }
        if (result.selection === 14 && player.hasTag("symbiote_suit_14")) { ultimate_spiderman_black_suit(player) }
        if (result.selection === 15 && player.hasTag("symbiote_suit_15")) { venom_s3(player) }

        if (result.selection === 4 && !player.hasTag("symbiote_suit_4")) { spectacular_spiderman_black_suit_lock(player) }
        if (result.selection === 5 && !player.hasTag("symbiote_suit_5")) { spectacular_spiderman_black_suit_2_lock(player) }
        if (result.selection === 6 && !player.hasTag("symbiote_suit_6")) { spectacular_spiderman_black_suit_3_lock(player) }
        if (result.selection === 7 && !player.hasTag("symbiote_suit_7")) { spiderman_90_black_suit_lock(player) }
        if (result.selection === 8 && !player.hasTag("symbiote_suit_8")) { spiderman_90_black_suit_1_lock(player) }
        if (result.selection === 9 && !player.hasTag("symbiote_suit_9")) { spiderman_classic_black_suit_lock(player) }
        if (result.selection === 10 && !player.hasTag("symbiote_suit_10")) { spiderman_raimi_black_suit_lock(player) }
        if (result.selection === 11 && !player.hasTag("symbiote_suit_11")) { spiderman_web_of_shadows_black_suit_lock(player) }
        if (result.selection === 12 && !player.hasTag("symbiote_suit_12")) { superior_spiderman_black_suit_lock(player) }
        if (result.selection === 13 && !player.hasTag("symbiote_suit_13")) { the_amazing_spiderman_black_suit_lock(player) }
        if (result.selection === 14 && !player.hasTag("symbiote_suit_14")) { ultimate_spiderman_black_suit_lock(player) }
        if (result.selection === 15 && !player.hasTag("symbiote_suit_15")) { venom_s3_lock(player) }
    })
}
function venom_s3_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:venom_s3");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/venom_s3_lock'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function ultimate_spiderman_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:ultimate_spiderman_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/ultimate_spiderman_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function the_amazing_spiderman_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:the_amazing_spiderman_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/the_amazing_spiderman_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function superior_spiderman_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:superior_spiderman_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/superior_spiderman_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spiderman_web_of_shadows_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spiderman_web_of_shadows_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spiderman_web_of_shadows_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spiderman_raimi_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spiderman_raimi_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spiderman_raimi_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spiderman_classic_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spiderman_classic_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spiderman_classic_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spiderman_90_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spiderman_90_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spiderman_90_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spiderman_90_black_suit_1_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spiderman_90_black_suit_1");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spiderman_90_black_suit_1'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spectacular_spiderman_black_suit_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spectacular_spiderman_black_suit");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spectacular_spiderman_black_suit'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spectacular_spiderman_black_suit_2_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spectacular_spiderman_black_suit_2");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spectacular_spiderman_black_suit_2'); }
        if (result.selection === 1) { symbiote_config(player) } })
}
function spectacular_spiderman_black_suit_3_lock(player) {
	let form = new MessageFormData();
	form.title("item.spiderverse:spectacular_spiderman_black_suit_3");
	form.body("spidermanaddon.suit_lock");
	form.button1("spidermanaddon.symbiont_suit.unlock");
	form.button2("spidermanaddon.regresar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/execute at @s[lm=5] run function symbiote_powers/rage/spectacular_spiderman_black_suit_3'); }
        if (result.selection === 1) { symbiote_config(player) } })
}

function no_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.no_suit'); player.runCommand('scoreboard players set @s symbiote_suit 0');
}
function spiderman_ps5_symbiote_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_ps5_symbiote_suit'); player.runCommand('scoreboard players set @s symbiote_suit 1');
}
function spiderman_ps4_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_ps4_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 2');
}
function spiderman_antivenom_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_antivenom_suit'); player.runCommand('scoreboard players set @s symbiote_suit 3');
}
function spectacular_spiderman_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spectacular_spiderman_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 4');
}
function spectacular_spiderman_black_suit_2(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spectacular_spiderman_black_suit_2'); player.runCommand('scoreboard players set @s symbiote_suit 5');
}
function spectacular_spiderman_black_suit_3(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spectacular_spiderman_black_suit_3'); player.runCommand('scoreboard players set @s symbiote_suit 6');
}
function spiderman_90_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_90_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 7');
}
function spiderman_90_black_suit_1(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_90_black_suit_1'); player.runCommand('scoreboard players set @s symbiote_suit 8');
}
function spiderman_classic_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_classic_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 9');
}
function spiderman_raimi_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_raimi_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 10');
}
function spiderman_web_of_shadows_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.spiderman_web_of_shadows_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 11');
}
function superior_spiderman_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.superior_spiderman_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 12');
}
function the_amazing_spiderman_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.the_amazing_spiderman_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 13');
}
function ultimate_spiderman_black_suit(player) { player.runCommand('event entity @s spiderman:symbiote_suit.ultimate_spiderman_black_suit'); player.runCommand('scoreboard players set @s symbiote_suit 14');
}
function venom_s3(player) { player.runCommand('event entity @s spiderman:symbiote_suit.venom_s3'); player.runCommand('scoreboard players set @s symbiote_suit 15');
}
function damage_player(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.damage_player");
	form.body("spidermanaddon.damage_player.text");
	form.button1("spidermanaddon.activar");
	form.button2("spidermanaddon.desactivar");
    form.show(player).then(result => {
        if (result.selection === 0) { player.runCommand('/say Pvp: Enabled'); player.runCommand('/tag @s add pvp_player'); symbiote_config(player) }
        if (result.selection === 1) { player.runCommand('/say Pvp: Disabled'); player.runCommand('/tag @s remove pvp_player'); symbiote_config(player) } })
}
function symbiote_config(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.symbiote_config')
    gui.button('spidermanaddon.symbiote_skin', 'textures/ui/symbiote_skin')
	gui.button('spidermanaddon.symbiote_suit', 'textures/ui/symbiote_suit')
	gui.button('spidermanaddon.damage_player', 'textures/ui/damage_player')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            symbiote_skin(player)
        }
        if (result.selection === 1) {
            symbiote_suit(player)
        }
        if (result.selection === 2) {
            damage_player(player)
        }
    })
}
function symbiote_blast(player) {
	player.runCommand('function symbiote_powers/symbiote_blast');
}
function antivenom_tempest(player) {
	player.runCommand('function symbiote_powers/antivenom_tempest');
}
function symbiont_pull(player) {
	player.runCommand('function symbiote_powers/symbiont_pull');
}
function antivenom_bomb(player) {
	player.runCommand('function symbiote_powers/antivenom_bomb');
}
function symbiote_strike(player) {
	player.runCommand('function symbiote_powers/symbiote_strike');
}
function symbiote_whip(player) {
	player.runCommand('function symbiote_powers/symbiote_whip');
}
function blocked(player) {
	player.runCommand('msg @s §l§3Blocked');
}
function symbiote_powers(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.symbiote_powers')
    gui.button('spidermanaddon.symbiote_blast', 'textures/ui/symbiote_blast')
	gui.button('spidermanaddon.symbiote_strike', 'textures/ui/symbiote_strike')
    if (!player.hasTag("symbiont_pull")) { gui.button('', 'textures/ui/symbiont_pull_lock') }
	else if (player.hasTag("symbiont_pull")) { gui.button('', 'textures/ui/symbiont_pull') }
    if (!player.hasTag("antivenom_bomb")) { gui.button('', 'textures/ui/antivenom_bomb_lock') }
	else if (player.hasTag("antivenom_bomb")) { gui.button('', 'textures/ui/antivenom_bomb') }
    if (!player.hasTag("antivenom_tempest")) { gui.button('', 'textures/ui/antivenom_tempest_ui') }
	else if (player.hasTag("antivenom_tempest")) { gui.button('', 'textures/ui/antivenom_tempest') }
    if (!player.hasTag("symbiote_whip")) { gui.button('', 'textures/ui/symbiote_melee_lock') }
	else if (player.hasTag("symbiote_whip")) { gui.button('', 'textures/ui/symbiote_melee') }
	gui.button('spidermanaddon.symbiote_config', 'textures/ui/symbiote_config')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            symbiote_blast(player)
        }
        if (result.selection === 1) {
            symbiote_strike(player)
        }
        if (result.selection === 2 && player.hasTag("symbiont_pull")) {
            symbiont_pull(player)
        }
        if (result.selection === 3 && player.hasTag("antivenom_bomb")) {
            antivenom_bomb(player)
        }
        if (result.selection === 4 && player.hasTag("antivenom_tempest")) {
            antivenom_tempest(player)
        }
        if (result.selection === 5 && player.hasTag("symbiote_whip")) {
            symbiote_whip(player)
        }
        if (result.selection === 2 && !player.hasTag("symbiont_pull")) {
            blocked(player)
        }
        if (result.selection === 3 && !player.hasTag("antivenom_bomb")) {
            blocked(player)
        }
        if (result.selection === 4 && !player.hasTag("antivenom_tempest")) {
            blocked(player)
        }
        if (result.selection === 5 && !player.hasTag("symbiote_whip")) {
            blocked(player)
        }
        if (result.selection === 6) {
            symbiote_config(player)
        }
    })
}