import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData, MessageFormData } from "@minecraft/server-ui";

function getScore(player, objective) {
    try {
        return world.scoreboard.getObjective(objective).getScore(player);
    } catch {
        return 0
    }
}
system.runInterval(() => {
    let players = world.getAllPlayers();
    players.forEach((player) => {
    if (player.hasTag("taskmasterChallenges")){ taskmaster_challenges(player); }
});
});
function taskmaster_challenges(player) {
	player.runCommand('tag @s remove taskmasterChallenges');
	let taskChallenges = getScore(player, 'taskChallenges')
	if(taskChallenges === 0){
	challenge1(player)
	}
	if(taskChallenges === 1){
	challenge2(player)
	}
	if(taskChallenges === 2){
	challenge3(player)
	}
	if(taskChallenges === 3){
	challenge4(player)
	}
	if(taskChallenges === 4){
	challenge5(player)
	}
	if(taskChallenges === 5){
	menu(player)
	}
}
function menu(player) {
		const gui = new ActionFormData();
		gui.title('spidermanaddon.repetir')
		gui.button('spidermanaddon.taskmaster_challenges.0')
		gui.button('spidermanaddon.taskmaster_challenges.1')
		gui.button('spidermanaddon.taskmaster_challenges.2')
		gui.button('spidermanaddon.taskmaster_challenges.3')
		gui.button('spidermanaddon.taskmaster_challenges.4')
		gui.show(player).then(result => {
			if (result.selection === 0) {
				challenge1(player)
			}
			if (result.selection === 1) {
				challenge2(player)
			}
			if (result.selection === 2) {
				challenge3(player)
			}
			if (result.selection === 3) {
				challenge4(player)
			}
			if (result.selection === 4) {
				challenge5(player)
			}
	})
}
function challenge1(player) {
		let form = new MessageFormData();
		form.title("spidermanaddon.taskmaster_challenges.0");
		form.body("spidermanaddon.taskmaster_challenges.0.text");
		form.button1("spidermanaddon.regresar");
		form.button2("spidermanaddon.taskmaster_challenges.start");
		form.show(player).then(result => {
			if (result.selection === 1) { player.runCommand('/event entity @e[type=spidermanaddon:challenge_box, c=1, r=8] challenge:one'); }
	})
}
function challenge2(player) {
		let form = new MessageFormData();
		form.title("spidermanaddon.taskmaster_challenges.1");
		form.body("spidermanaddon.taskmaster_challenges.1.text");
		form.button1("spidermanaddon.regresar");
		form.button2("spidermanaddon.taskmaster_challenges.start");
		form.show(player).then(result => {
			if (result.selection === 1) { player.runCommand('/event entity @e[type=spidermanaddon:challenge_box, c=1, r=8] challenge:two'); }
		})
}
function challenge3(player) {
		let form = new MessageFormData();
		form.title("spidermanaddon.taskmaster_challenges.2");
		form.body("spidermanaddon.taskmaster_challenges.2.text");
		form.button1("spidermanaddon.regresar");
		form.button2("spidermanaddon.taskmaster_challenges.start");
		form.show(player).then(result => {
			if (result.selection === 1) { player.runCommand('/event entity @e[type=spidermanaddon:challenge_box, c=1, r=8] challenge:three'); }
		})
}
function challenge4(player) {
		let form = new MessageFormData();
		form.title("spidermanaddon.taskmaster_challenges.3");
		form.body("spidermanaddon.taskmaster_challenges.3.text");
		form.button1("spidermanaddon.regresar");
		form.button2("spidermanaddon.taskmaster_challenges.start");
		form.show(player).then(result => {
			if (result.selection === 1) { player.runCommand('/event entity @e[type=spidermanaddon:challenge_box, c=1, r=8] challenge:four'); }
		})
}
function challenge5(player) {
		let form = new MessageFormData();
		form.title("spidermanaddon.taskmaster_challenges.4");
		form.body("spidermanaddon.taskmaster_challenges.4.text");
		form.button1("spidermanaddon.regresar");
		form.button2("spidermanaddon.taskmaster_challenges.start");
		form.show(player).then(result => {
			if (result.selection === 1) { player.runCommand('/event entity @e[type=spidermanaddon:challenge_box, c=1, r=8] challenge:five'); }
		})
}