import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData, MessageFormData } from "@minecraft/server-ui";

function getScore(player, objective) {
    try {
        return world.scoreboard.getObjective(objective).getScore(player);
    } catch {
        return 0
    }
}
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    if (eventData.itemStack.typeId == 'spidermanaddon:venom_regeneration' && player.isSneaking) {
        system.run(() => {
            venom(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:symbiont_axe' && player.isSneaking) {
        system.run(() => {
            venom(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:symbiont_claw' && player.isSneaking) {
        system.run(() => {
            venom(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:symbiont_whip' && player.isSneaking) {
        system.run(() => {
            venom(player);
        })
    }
	if (eventData.itemStack.typeId == 'spidermanaddon:symbiote_capsule' && player.isSneaking) {
        system.run(() => {
            venom_transform(player);
        })	
	}
});
function venom_transform(player) {
	player.runCommand('replaceitem entity @s slot.armor.head 0 spidermanaddon:venom');
	player.runCommand('clear @s spidermanaddon:symbiote_capsule 0 1');
	player.runCommand('playsound random.glass @a[r=15]');
	player.runCommand('/playsound venom.equip @a[r=15]');
}
function venom(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
    gui.button('spidermanaddon.feed', 'textures/items/venom_regeneration')
	gui.button('spidermanaddon.symbiont_axe', 'textures/items/symbiont_axe')
	gui.button('spidermanaddon.symbiont_claw', 'textures/items/symbiote_claw')
	gui.button('spidermanaddon.symbiont_whip', 'textures/items/symbiont_whip')
	gui.button('spidermanaddon.transformation', 'textures/items/symbiote_powers')
	gui.button('spidermanaddon.skins', 'textures/items/venom')
	gui.button('spidermanaddon.camera', 'textures/items/venom_camera')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            feed(player)
        }
        if (result.selection === 1) {
            axe(player)
        }
        if (result.selection === 2) {
            claw(player)
        }
        if (result.selection === 3) {
            whip(player)
        }
        if (result.selection === 4) {
            transformation(player)
        }
        if (result.selection === 5) {
            skins(player)
        }
        if (result.selection === 6) {
            camera(player)
        }
    })
}
function camera(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
	gui.button('spidermanaddon.third', 'textures/items/venom_camera')
	gui.button('spidermanaddon.first', 'textures/items/venom_camera')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            third(player)
        }
        if (result.selection === 1) {
            first(player)
		}
    })
}
function first(player) {
    player.runCommand('event entity @s venom:camera.first');
}
function third(player) {
    player.runCommand('event entity @s venom:camera.third');
}
function transformation(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
	gui.button('spidermanaddon.on', 'textures/items/symbiote_powers')
	gui.button('spidermanaddon.off', 'textures/items/symbiote_powers')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            transformation_on(player)
        }
        if (result.selection === 1) {
            transformation_off(player)
		}
    })
}
function skins(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
    gui.button('Venom: Classic', 'textures/ui/classic_venom')
	if (player.hasTag("venom_movies")) { gui.button('Venom: Movies', 'textures/ui/venom_movies') }
	if (!player.hasTag("venom_movies")) { gui.button('Venom: Movies', 'textures/ui/venom_movies_lock') }
	if (player.hasTag("blue_venom")) { gui.button('Venom: Blue', 'textures/ui/blue_venom') }
	if (!player.hasTag("blue_venom")) { gui.button('Venom: Blue', 'textures/ui/blue_venom_lock') }
	if (player.hasTag("venom_lee_price")) { gui.button('Venom: Lee Price', 'textures/ui/venom_lee_price') }
	if (!player.hasTag("venom_lee_price")) { gui.button('Venom: Lee Price', 'textures/ui/venom_lee_price_lock') }
	if (player.hasTag("ultimate_venom")) { gui.button('Venom: Ultimate', 'textures/ui/ultimate_venom') }
	if (!player.hasTag("ultimate_venom")) { gui.button('Venom: Ultimate', 'textures/ui/ultimate_venom_lock') }
	if (player.hasTag("ultimate_venom_spider")) { gui.button('Venom: Ultimate [With Spider]', 'textures/ui/ultimate_venom_spider') }
	if (!player.hasTag("ultimate_venom_spider")) { gui.button('Venom: Ultimate [With Spider]', 'textures/ui/ultimate_venom_spider_lock') }
	if (player.hasTag("venom_2099")) { gui.button('Venom: 2099', 'textures/ui/venom_2099') }
	if (!player.hasTag("venom_2099")) { gui.button('Venom: 2099', 'textures/ui/venom_2099_lock') }
	if (player.hasTag("venompool")) { gui.button('Venompool', 'textures/ui/venompool') }
	if (!player.hasTag("venompool")) { gui.button('Venompool', 'textures/ui/venompool_lock') }
	if (player.hasTag("venom_snow")) { gui.button('Venom: Snow Symbiote', 'textures/ui/venom_snow') }
	if (!player.hasTag("venom_snow")) { gui.button('Venom: Snow Symbiote', 'textures/ui/venom_snow_lock') }
    gui.show(player).then(result => {
        if (result.selection === 0) {
            classic_venom(player)
        }
        if (result.selection === 1 && player.hasTag("venom_movies")) {
            venom_movies(player)
        }
        if (result.selection === 1 && !player.hasTag("venom_movies")) {
            venom_movies_lock(player)
        }
        if (result.selection === 2 && player.hasTag("blue_venom")) {
            blue_venom(player)
        }
        if (result.selection === 2 && !player.hasTag("blue_venom")) {
            blue_venom_lock(player)
        }
        if (result.selection === 3 && player.hasTag("venom_lee_price")) {
            venom_lee_price(player)
        }
        if (result.selection === 3 && !player.hasTag("venom_lee_price")) {
            venom_lee_price_lock(player)
        }
        if (result.selection === 4 && player.hasTag("ultimate_venom")) {
            ultimate_venom(player)
        }
        if (result.selection === 4 && !player.hasTag("ultimate_venom")) {
            ultimate_venom_lock(player)
        }
        if (result.selection === 5 && player.hasTag("ultimate_venom_spider")) {
            ultimate_venom_spider(player)
        }
        if (result.selection === 5 && !player.hasTag("ultimate_venom_spider")) {
            ultimate_venom_spider_lock(player)
        }
        if (result.selection === 6 && player.hasTag("venom_2099")) {
            venom_2099(player)
        }
        if (result.selection === 6 && !player.hasTag("venom_2099")) {
            venom_2099_lock(player)
        }
        if (result.selection === 7 && player.hasTag("venompool")) {
            venompool(player)
        }
        if (result.selection === 7 && !player.hasTag("venompool")) {
            venompool_lock(player)
        }
        if (result.selection === 8 && player.hasTag("venom_snow")) {
            venom_snow(player)
        }
        if (result.selection === 8 && !player.hasTag("venom_snow")) {
            venom_snow_lock(player)
        }
    })
}
function blue_venom_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.blue_venom_lock");
	form.body("spidermanaddon.blue_venom_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=10] run function venom/blue_venom_lock'); }
    })
}
function venom_lee_price_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.venom_lee_price_lock");
	form.body("spidermanaddon.venom_lee_price_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function venom/venom_lee_price_lock'); }
    })
}
function ultimate_venom_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.ultimate_venom_lock");
	form.body("spidermanaddon.ultimate_venom_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function venom/ultimate_venom_lock'); }
    })
}
function ultimate_venom_spider_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.ultimate_venom_spider_lock");
	form.body("spidermanaddon.ultimate_venom_spider_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function venom/ultimate_venom_spider_lock'); }
    })
}
function venom_2099_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.venom_2099_lock");
	form.body("spidermanaddon.venom_2099_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function venom/venom_2099_lock'); }
    })
}
function venompool_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.venompool_lock");
	form.body("spidermanaddon.venompool_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=20] run function venom/venompool_lock'); }
    })
}
function venom_snow_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.venom_snow_lock");
	form.body("spidermanaddon.venom_snow_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=20] run function venom/venom_snow_lock'); }
    })
}
function venom_movies_lock(player) {
	let form = new MessageFormData();
	form.title("spidermanaddon.venom_movies_lock");
	form.body("spidermanaddon.venom_movies_lock.price");
	form.button1("spidermanaddon.regresar");
	form.button2("spidermanaddon.venom.unlock");
    form.show(player).then(result => {
        if (result.selection === 0) { skins(player) }
        if (result.selection === 1) { player.runCommand('/execute at @s[lm=15] run function venom/venom_movies_lock'); }
    })
}
function classic_venom(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.0');
}
function venom_movies(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.1');
}
function blue_venom(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.2');
}
function venom_lee_price(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.3');
}
function ultimate_venom(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.4');
}
function ultimate_venom_spider(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.5');
}
function venom_2099(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.6');
}
function venompool(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.7');
}
function venom_snow(player) {
	player.runCommand('scoreboard players reset @s venom_skin');
    player.runCommand('event entity @s venom:changes.skins.8');
}
function feed(player) {
    player.runCommand('function venom_regeneration_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function axe(player) {
    player.runCommand('function symbiont_axe_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function claw(player) {
    player.runCommand('function symbiont_claw_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function whip(player) {
    player.runCommand('function symbiont_whip_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function transformation_on(player) {
	player.runCommand('event entity @s venom:head_off');
	player.runCommand('event entity @s venom:mode');
}
function transformation_off(player) {
	player.runCommand('event entity @s venom:head');
	player.runCommand('event entity @s venom:mode_off');
}