import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

function getScore(player, objective) {
    try {
        return world.scoreboard.getObjective(objective).getScore(player);
    } catch {
        return 0
    }
}
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    if (eventData.itemStack.typeId == 'spidermanaddon:web_shooter' && player.isSneaking) {
        system.run(() => {
            web_shooter(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:impact_web' && player.isSneaking) {
        system.run(() => {
            web_shooter(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:electric_web' && player.isSneaking) {
        system.run(() => {
            web_shooter(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:concussive_blast' && player.isSneaking) {
        system.run(() => {
            web_shooter(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:web_grabber' && player.isSneaking) {
        system.run(() => {
            web_shooter(player);
        })
    }
});
function web_shooter(player) {
    const gui = new ActionFormData();
    gui.title('spidermanaddon.web_shooter.title')
    gui.button('spidermanaddon.web_shooter', 'textures/ui/web_shooter')
	if (!player.hasTag("impact_web")) { gui.button('spidermanaddon.impact_web', 'textures/ui/impact_web_lock_1') }
	if (player.hasTag("impact_web")) { gui.button('spidermanaddon.impact_web', 'textures/ui/impact_web') }
	if (!player.hasTag("electric_web")) { gui.button('spidermanaddon.electric_web', 'textures/ui/electric_web_lock_1') }
	if (player.hasTag("electric_web")) { gui.button('spidermanaddon.electric_web', 'textures/ui/electric_web') }
	if (!player.hasTag("concussive_blast")) { gui.button('spidermanaddon.concussive_blast', 'textures/ui/concussive_blast_lock_1') }
	if (player.hasTag("concussive_blast")) { gui.button('spidermanaddon.concussive_blast', 'textures/ui/concussive_blast') }
	if (!player.hasTag("web_grabber")) { gui.button('spidermanaddon.web_grabber', 'textures/ui/web_grabber_lock_1') }
	if (player.hasTag("web_grabber")) { gui.button('spidermanaddon.web_grabber', 'textures/ui/web_grabber') }
    gui.show(player).then(result => {
        if (result.selection === 0) { web_shooter_shoot(player) }
        if (result.selection === 1 && !player.hasTag("impact_web")) { blocked(player) }
		if (result.selection === 1 && player.hasTag("impact_web")) { impact_web(player) }
        if (result.selection === 2 && !player.hasTag("electric_web")) { blocked(player) }
		if (result.selection === 2 && player.hasTag("electric_web")) { electric_web(player) }
        if (result.selection === 3 && !player.hasTag("concussive_blast")) { blocked(player) }
		if (result.selection === 3 && player.hasTag("concussive_blast")) { concussive_blast(player) }
        if (result.selection === 4 && !player.hasTag("web_grabber")) { blocked(player) }
		if (result.selection === 4 && player.hasTag("web_grabber")) { web_grabber(player) }
    })
}
function web_shooter_shoot(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:web_shooter');
}
function blocked(player) {
	player.runCommand('msg @s §l§3Blocked');
}
function impact_web(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:impact_web');
}
function electric_web(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:electric_web');
}
function concussive_blast(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:concussive_blast');
}
function web_grabber(player) {
	player.runCommand('replaceitem entity @s slot.weapon.mainhand 0 spidermanaddon:web_grabber');
}